/***************************************************************************
 *   Copyright (C) 2004 by Philipp Pracht                                  *
 *   pracht@Ganymed                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <FL/Fl_Pixmap.H>



static char * fldevicon_xpm[] = {
"32 32 8 1",
": 	c none",
".	c #008000",
"+	c #00C000",
"@	c #00FF00",
"#	c #6BFF75",
"$	c #9BFFA5",
"%	c #0080FF",
"&	c #0000C0",
"::::.+++@@@@@@@@@@@@@@@@###$::::",
"::..++@@@@@@@@@@@@@@@@@@####$$::",
":..++@@@@@@@#$%%%%%%%.+@@@###$$:",
":.++@@@@@@#$%%%%%%%%%%%.+@@###$:",
".++@@@@@#$%%%%.+@@@#$%%%%.+@##$$",
".+@@@@@#$%%%.+@@@@@@@#$%%%.+@##$",
".+@@@@#$%%%.+@@@@@@@@@#$%%%.+##$",
".+@@@@#$%%.+@@@@@@@@@@@#$%%.+@#$",
".+@@@#$%%.+@@@@@@@@@@@@@@@@@@@#$",
".+@@#$%%.+@@@@@@@@@@@@@@@@@@@@#$",
".+@@#$%%.+@@@@@@@@@@@@@@@@@@@@#$",
".+@@#$%%.+@@@@$&&.+@@@@$&&.+@@#$",
".+@#$%%.+@@@@@$&&.+@@@@$&&.+@@#$",
".+@#$%%.+@@@@@$&&.+@@@@$&&.+@@#$",
".+@#$%%.+@@@@@$&&.+@@@@$&&.+@@#$",
".+@#$%%.+@@$&&&&&&&&&&&&&&&&&.#$",
".+@#$%%.+@@$&&&&&&&&&&&&&&&&&.#$",
".+@#$%%.+@@@@@$&&.+@@@@$&&.+@@#$",
".+@#$%%.+@@@@@$&&.+@@@@$&&.+@@$$",
".+@@#$%%.+@@@@$&&.+@@@@$&&.+@@$$",
".+@@#$%%.+@@@@$&&.+@@@@$&&.+@@$$",
".+@@#$%%.+@@@@@@@@@@@@@@@@@@@@$$",
".+@@@#$%%.+@@@@@@@@@@@@@@@@@@@$$",
".+@@@@#$%%.+@@@@@@@@@@@#$%%.@@#$",
".+@@@@#$%%%.+@@@@@@@@@#$%%%.@##$",
".+@@@@@#$%%%.+@@@@@@@#$%%%.+@##$",
".+@@@@@@#$%%%%.+@@@#$%%%%.+@@##$",
".++@@@@@@@#$%%%%%%%%%%%.+@@@##$$",
":.++@@@@@@@@#$%%%%%%%.+@@@@###$:",
":..+@@@@@@@@@@@@@@@@@@@@@@@###$:",
"::.+++@@@@@@@@@@@@@@@@@@@##$$$::",
"::::.++@@@@@@@@@@@@@@@@###$$::::"};



static char * term_xpm[] = {
"16 16 111 2",
"  	c None",
". 	c #000000",
"+ 	c #010101",
"@ 	c #020202",
"# 	c #0A0C0A",
"$ 	c #12110E",
"% 	c #101210",
"& 	c #11191C",
"* 	c #1E1C19",
"= 	c #1C201C",
"- 	c #1E221E",
"; 	c #222222",
"> 	c #202420",
", 	c #222622",
"' 	c #282625",
") 	c #2A2927",
"! 	c #252D31",
"~ 	c #2C2C25",
"{ 	c #1C313E",
"] 	c #2E322E",
"^ 	c #343231",
"/ 	c #323A32",
"( 	c #253D4C",
"_ 	c #363A36",
": 	c #283E49",
"< 	c #3A3A31",
"[ 	c #3C3932",
"} 	c #363E36",
"| 	c #373E37",
"1 	c #3E3E3A",
"2 	c #3C403C",
"3 	c #3A423A",
"4 	c #414136",
"5 	c #3E423E",
"6 	c #3D453D",
"7 	c #3E4747",
"8 	c #464A46",
"9 	c #4E4E43",
"0 	c #4A524A",
"a 	c #4D514D",
"b 	c #3D5564",
"c 	c #55554D",
"d 	c #525652",
"e 	c #565654",
"f 	c #59564D",
"g 	c #455D68",
"h 	c #565A56",
"i 	c #615D52",
"j 	c #56615D",
"k 	c #5B5F5B",
"l 	c #5E625E",
"m 	c #646154",
"n 	c #666256",
"o 	c #676358",
"p 	c #5D6965",
"q 	c #666662",
"r 	c #6A665E",
"s 	c #6A6A63",
"t 	c #666E66",
"u 	c #676F67",
"v 	c #726E62",
"w 	c #726F61",
"x 	c #6A726A",
"y 	c #6E726E",
"z 	c #6D756D",
"A 	c #76726A",
"B 	c #707470",
"C 	c #6E766E",
"D 	c #727672",
"E 	c #727A72",
"F 	c #7A7A6F",
"G 	c #7E7B75",
"H 	c #7A7E7A",
"I 	c #827E7A",
"J 	c #7E827E",
"K 	c #888175",
"L 	c #828682",
"M 	c #888885",
"N 	c #8E8E82",
"O 	c #8E928E",
"P 	c #949490",
"Q 	c #929692",
"R 	c #9A9689",
"S 	c #9A9A8E",
"T 	c #A1998F",
"U 	c #9A9E9A",
"V 	c #9E9E9E",
"W 	c #A29E95",
"X 	c #9EA29E",
"Y 	c #A6A294",
"Z 	c #A2A2A2",
"` 	c #A9A199",
" .	c #A2A6A2",
"..	c #AAA69E",
"+.	c #AAA6A2",
"@.	c #AEA69E",
"#.	c #AEAA9A",
"$.	c #AEAAA3",
"%.	c #B2AAA2",
"&.	c #B2AEA2",
"*.	c #B2AEA7",
"=.	c #B6B2AE",
"-.	c #BEBAB2",
";.	c #CAC6BF",
">.	c #D2D2CB",
",.	c #E6E2E2",
"'.	c #EAE6E6",
").	c #EAEAE6",
"!.	c #EEEEEA",
"~.	c #EEEEEE",
"{.	c #F2F2EE",
". . . . . . . . . . . . . . .   ",
". ,.!.~.!.{.{.{.!.'.,.;.-.=.$.@ ",
". !.@ @ @ @ @ @ @ @ @ @ @ @ S @ ",
". {.@ V Z  .Q Q L l l 5 ] - @.@ ",
". {.@ X  .O L L D d d 0 _ - &.@ ",
". ).@ U O J E E s l l h 3 ; +.@ ",
". ).@ L H y C C B u t k 6 , Y @ ",
". ,.@ L H y z j g b ( 7 | > T @ ",
". >.@ 9 h x p { { { { { ! = K + ",
". *.@ 5 8 a : { { { { { { % w + ",
". ..@ / } 2 { { { { { { { # m + ",
". W #.$.%.` ` ` ` ` ` P P e f + ",
". R v v v o v v v e e e & * < + ",
". N q r i n v v v v e e $ ~ 4 + ",
"  @ c A F I M G e ^ ' ) 1 [ +   ",
"    . @ @ @ + + + + + + + +     "};

static Fl_Pixmap image_term(term_xpm);


static char * compile_run_xpm[] = {
"16 16 61 1",
" 	c None",
".	c #000000",
"+	c #030C01",
"@	c #ECEBF0",
"#	c #ECEAF0",
"$	c #BBB6CA",
"%	c #C5C1D2",
"&	c #887FA3",
"*	c #287B11",
"=	c #31831A",
"-	c #23760B",
";	c #34861E",
">	c #529D3D",
",	c #32841B",
"'	c #FFFFFF",
")	c #D7D7D7",
"!	c #DADADA",
"~	c #388921",
"{	c #56A041",
"]	c #6EB05B",
"^	c #469531",
"/	c #EFEFEF",
"(	c #F2F2F2",
"_	c #D8D8D8",
":	c #DBDBDB",
"<	c #DEDEDE",
"[	c #42922C",
"}	c #66AB52",
"|	c #81BC70",
"1	c #8FC581",
"2	c #9FCE92",
"3	c #FAFCF9",
"4	c #F8F8F8",
"5	c #E0E0E0",
"6	c #B1B1B1",
"7	c #B3B3B3",
"8	c #B5B5B5",
"9	c #B8B8B8",
"0	c #45942F",
"a	c #75B463",
"b	c #A3D096",
"c	c #CBCBCB",
"d	c #CDCDCD",
"e	c #D0D0D0",
"f	c #7AB868",
"g	c #ADD5A2",
"h	c #AFAFAF",
"i	c #5BA346",
"j	c #C0C0C0",
"k	c #C2C2C2",
"l	c #C5C5C5",
"m	c #62A94F",
"n	c #EDEDED",
"o	c #F0F0F0",
"p	c #F5F5F5",
"q	c #C1C1C1",
"r	c #C3C3C3",
"s	c #C6C6C6",
"t	c #C8C8C8",
"u	c #BDBDBD",
"v	c #BFBFBF",
"     ......     ",
"     +@#$$.     ",
"    .++%&&..    ",
"    .+*+&&&.    ",
"     +=-+&.     ",
"  ...+;>,+....  ",
" .')!+~{]^+/(!. ",
".'_:<+[}|12+345.",
".6789+0a1b+3cde.",
".....+{fg+3.....",
" .eh6+i1+3jkl!. ",
".'_:<+m+3no(p45.",
".6789++3qrstcde.",
".....+3.........",
".67893uvqrstcde.",
"................"};

static Fl_Pixmap image_compile_run(compile_run_xpm);



static char * stock_undo_xpm[] = {
"16 16 35 1",
" 	c None",
".	c #000000",
"+	c #303030",
"@	c #986B07",
"#	c #8D7E4A",
"$	c #B8820A",
"%	c #948A6F",
"&	c #A39256",
"*	c #B1933F",
"=	c #D1940C",
"-	c #D59D1C",
";	c #C0A048",
">	c #BC9F5F",
",	c #BCA36B",
"'	c #BEA56F",
")	c #D9A72E",
"!	c #C3A970",
"~	c #D1B051",
"{	c #D4B150",
"]	c #C9B46B",
"^	c #CCB76D",
"/	c #DFB74A",
"(	c #E0B74C",
"_	c #D9C374",
":	c #E2CB79",
"<	c #EED680",
"[	c #F1DD97",
"}	c #F4E4AD",
"|	c #EFE4C2",
"1	c #F7EECC",
"2	c #F2EFE4",
"3	c #F7F3DF",
"4	c #F9F5E4",
"5	c #F9F5E6",
"6	c #F9F6EA",
"      .         ",
"     ..         ",
"    .3.         ",
"   .6<....      ",
"  +4<<}1|%..    ",
" .5[<<<<<<~..   ",
".2[<<<<<<<<;.   ",
" .!======(<_.   ",
"  .,======-<*.  ",
"   .'=...@=/^.  ",
"    .>.  .$)<.  ",
"     ..   .=<.  ",
"      .   .{&.  ",
"          .:.   ",
"         .]#.   ",
"          ..    "};
static Fl_Pixmap image_undo(stock_undo_xpm);

static char * run_xpm[] = {
"16 16 25 1",
" 	c None",
".	c #030C01",
"+	c #287B11",
"@	c #31831A",
"#	c #23760B",
"$	c #34861E",
"%	c #529D3D",
"&	c #32841B",
"*	c #388921",
"=	c #56A041",
"-	c #6EB05B",
";	c #469531",
">	c #42922C",
",	c #66AB52",
"'	c #81BC70",
")	c #8FC581",
"!	c #9FCE92",
"~	c #FAFCF9",
"{	c #45942F",
"]	c #75B463",
"^	c #A3D096",
"/	c #7AB868",
"(	c #ADD5A2",
"_	c #5BA346",
":	c #62A94F",
"                ",
"     .          ",
"     ..         ",
"     .+.        ",
"     .@#.       ",
"     .$%&.      ",
"     .*=-;.     ",
"     .>,')!.~   ",
"     .{])^.~    ",
"     .=/(.~     ",
"     ._).~      ",
"     .:.~       ",
"     ..~        ",
"     .~         ",
"     ~          ",
"                "};

static Fl_Pixmap image_run(run_xpm);
/*
static char * fluid_xpm[] = {
"16 16 9 1",
" 	c #000000",
".	c #A8A8A8",
"+	c #AFAFAF",
"@	c #B7B7B7",
"#	c #CBCBCB",
"$	c #DADADA",
"%	c #DBDBDB",
"&	c #E3E3E3",
"*	c #FAFAFA",
"****************",
"***** * * * ****",
"***** @ * % ****",
"*&+#*@ @*. .*++$",
"*+*** @ *% %***+",
"*+*** * ** ****+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*+*************+",
"*$+++++++++++++$"};

*/
static char * fluid_xpm[] = {
"16 16 6 1",
"       c None",
".      c #D0D0D0",
"+      c #8080FF",
"@      c #2020FF",
"#      c #606060",
"$      c #A0A0A0",
"................",
".++@@@@@@@++@++#",
".++@@@@@@@++@++#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".$$$$$$$$$$$$$$#",
".###############"};

static Fl_Pixmap image_fluid(fluid_xpm);

static char * browser_xpm[] = {
"16 16 26 1",
" 	c #000000",
".	c #747474",
"+	c #757575",
"@	c #767676",
"#	c #777777",
"$	c #787878",
"%	c #9B9B9B",
"&	c #BFBFBF",
"*	c #C0BFBD",
"=	c #D7D7D7",
"-	c #DBDBDB",
";	c #E5E5E5",
">	c #EFEFEF",
",	c #F0F0F0",
"'	c #F1F1F1",
")	c #F2F2F2",
"!	c #F3F3F3",
"~	c #F4F4F4",
"{	c #F5F5F5",
"]	c #F6F6F6",
"^	c #F7F7F7",
"/	c #F8F8F8",
"(	c #F9F9F9",
"_	c #FAFAFA",
":	c #FEFEFE",
"<	c #FFFFFF",
"*%%%%%%%%%%%%%%*",
"%;;;;;;;<&<<<<<%",
"%;>....)<&!~ {{%",
"%;,''))!<&~   ]%",
"%;'.+)!!<&~{]]^%",
"%;))!!~~<=&&&&&%",
"%;)++@~{<&^^^//%",
"%;!~~{{]<&/-/-(%",
"%;~@@@]]<&/(((_%",
"%;{{]]^^<-&&&&&%",
"%;{####/<------%",
"%;]^^//(<&<:<<<%",
"%;^#$$((<&<   <%",
"%;//((__<&<< <<%",
"%<<<<<<<<&<<<<<%",
"*%%%%%%%%%%%%%%*"};


static Fl_Pixmap image_browser(browser_xpm);



static char * stock_paste_xpm[] = {
"16 16 54 1",
" 	c None",
".	c #000000",
"+	c #21211E",
"@	c #26231A",
"#	c #26241A",
"$	c #302D21",
"%	c #2E2D29",
"&	c #333023",
"*	c #343124",
"=	c #353225",
"-	c #58523D",
";	c #53534F",
">	c #655A37",
",	c #5D5C58",
"'	c #6B623D",
")	c #6E674C",
"!	c #746A45",
"~	c #696969",
"{	c #6C6A66",
"]	c #7A7051",
"^	c #7A7251",
"/	c #79776C",
"(	c #7E7D76",
"_	c #898267",
":	c #8F8663",
"<	c #8C866C",
"[	c #988E69",
"}	c #8E8E8E",
"|	c #979487",
"1	c #A39870",
"2	c #A69B72",
"3	c #A1A1A1",
"4	c #ABA89E",
"5	c #AAAAAA",
"6	c #AEABA3",
"7	c #AEAEAE",
"8	c #C1B485",
"9	c #B9B9B9",
"0	c #D8D0B3",
"a	c #D3D3D3",
"b	c #E3E3E3",
"c	c #E8E5D0",
"d	c #E9E5CE",
"e	c #E9E6D0",
"f	c #E9E6D1",
"g	c #E9E6D2",
"h	c #EBE7D3",
"i	c #EBE8D4",
"j	c #ECE9D5",
"k	c #EDEAD7",
"l	c #EDEBD8",
"m	c #EFECE0",
"n	c #F1F0E1",
"o	c #FFFFFF",
"     ...        ",
" ....}b~....    ",
".njl%(,;+/|<.   ",
".h8*4mm6{#:^.   ",
".j8[=@$@&)2].   ",
".i880-......... ",
".g8[8.ooooooooo.",
".g880.o939o53ao.",
".f8[8.ooooooooo.",
".e880.o939a93oo.",
".c818.ooooooooo.",
".c880.o9339o5ao.",
".k818.ooooooooo.",
".d888.oa33o537o.",
"._!'>.ooooooooo.",
" .............. "};

static Fl_Pixmap image_paste(stock_paste_xpm);


static char * stock_cut_xpm[] = {
"16 16 23 1",
" 	c None",
".	c #000000",
"+	c #0D0D0C",
"@	c #161614",
"#	c #161616",
"$	c #4E4E4E",
"%	c #54514D",
"&	c #9D9A94",
"*	c #A09D94",
"=	c #BFBBB1",
"-	c #C3C2BC",
";	c #C8C4B8",
">	c #C7C4BB",
",	c #C8C5B9",
"'	c #CAC5BB",
")	c #CCCAC6",
"!	c #D0CCC1",
"~	c #D1CEC3",
"{	c #D8D6D1",
"]	c #D9D8D2",
"^	c #E0DED9",
"/	c #E4E2DD",
"(	c #E5E3DD",
"                ",
"    .     .     ",
"    .     .     ",
"   .].   .~.    ",
"   .^.   .;.    ",
"   .)-. .(*.    ",
"    ${. .,%     ",
"    ./&.!=.     ",
"     .>.'@      ",
"      .#+       ",
"   .... ....    ",
"  .  .   .  .   ",
"  .  .   .  .   ",
"  .  .   .  .   ",
"   ..     ..    ",
"                "};

static Fl_Pixmap image_cut(stock_cut_xpm);




static char * stock_copy_xpm[] = {
"16 16 18 1",
" 	c None",
".	c #000000",
"+	c #4C4C4C",
"@	c #4D4D4D",
"#	c #505050",
"$	c #535353",
"%	c #5A5A5A",
"&	c #5C5C5C",
"*	c #646464",
"=	c #666666",
"-	c #696969",
";	c #787878",
">	c #919191",
",	c #A2A2A2",
"'	c #B3B3B3",
")	c #D6D6D6",
"!	c #E3E3E3",
"~	c #FFFFFF",
"..........      ",
".'~~~~~~).      ",
".~~~~~~~~.      ",
".~*@#~-;~.      ",
".~~~~~~~~.      ",
".~#+~#......... ",
".~~~~.'~~~~~~). ",
".!%$>.~~~~~~~~. ",
".~~~~.~*@#~-;~. ",
".)~~~.~~~~~~~~. ",
"......~#+~,-'~. ",
"     .~~~~~~~~. ",
"     .!%$>~&=~. ",
"     .~~~~~~~~. ",
"     .)~~~~~~). ",
"     .........  "};

static Fl_Pixmap image_copy(stock_copy_xpm);



static char * stock_search_xpm[] = {
"16 16 61 1",
" 	c None",
".	c #000000",
"+	c #161616",
"@	c #404040",
"#	c #4B4B49",
"$	c #5B5B5B",
"%	c #5D5D5D",
"&	c #666666",
"*	c #6B6B6B",
"=	c #6C6C6C",
"-	c #6F6F6F",
";	c #767676",
">	c #838383",
",	c #848484",
"'	c #858585",
")	c #888888",
"!	c #898989",
"~	c #A0A0A0",
"{	c #A5A5A5",
"]	c #A8A8A8",
"^	c #A9A9A9",
"/	c #ADADAD",
"(	c #B2B2B2",
"_	c #B3B3B3",
":	c #B4B4B4",
"<	c #BBBBBB",
"[	c #BCBCBC",
"}	c #BDBDBD",
"|	c #C0C0C0",
"1	c #C1C1C1",
"2	c #C2C2C2",
"3	c #C3C3C3",
"4	c #C4C4C4",
"5	c #C5C5C5",
"6	c #CACACA",
"7	c #CDCDCD",
"8	c #CFCFCF",
"9	c #D2D2D2",
"0	c #D6D6D6",
"a	c #E0E0E0",
"b	c #E2E2E2",
"c	c #E3E3E3",
"d	c #E4E4E4",
"e	c #E5E5E5",
"f	c #E6E6E6",
"g	c #E7E7E7",
"h	c #E8E8E8",
"i	c #E9E9E9",
"j	c #EAEAEA",
"k	c #EBEBEB",
"l	c #ECECEC",
"m	c #EDEDED",
"n	c #EEEEEE",
"o	c #EFEFEF",
"p	c #F1F1F1",
"q	c #F3F3F3",
"r	c #F6F6F6",
"s	c #F9F9F9",
"t	c #FBFBFB",
"u	c #FDFDFD",
"v	c #FEFEFE",
"  .........     ",
" .vvvvvvua1.    ",
" .vpppppp3t].   ",
" .vpppppp/;%@.  ",
" .vpp!..!b'#+.  ",
" .vp)=0q=)nn5.  ",
" .vo.6rvq.9l4.  ",
" .un.:gsc.9k3.  ",
" .um>&_1*-8j1.  ",
" .ukh,..$..7|.  ",
" .ujjiih7...^.  ",
" .uhfffff:....  ",
" .uggfffee(...  ",
" .ufeeeddcc({.  ",
" .2}}}[[<<<<~.  ",
"  ...........   "};


static Fl_Pixmap image_search(stock_search_xpm);



static char * stock_search_and_replace_xpm[] = {
"16 16 107 2",
"  	c None",
". 	c #000000",
"+ 	c #010101",
"@ 	c #020201",
"# 	c #030302",
"$ 	c #080807",
"% 	c #090908",
"& 	c #090909",
"* 	c #0A0A09",
"= 	c #31302C",
"- 	c #34342E",
"; 	c #34342F",
"> 	c #353530",
", 	c #404040",
"' 	c #414141",
") 	c #46463F",
"! 	c #47473F",
"~ 	c #474740",
"{ 	c #4B4B43",
"] 	c #4C4C44",
"^ 	c #4C4C45",
"/ 	c #53524A",
"( 	c #636363",
"_ 	c #826931",
": 	c #6B6B6B",
"< 	c #886D2F",
"[ 	c #727266",
"} 	c #737367",
"| 	c #767676",
"1 	c #828274",
"2 	c #978443",
"3 	c #878779",
"4 	c #8C8C7D",
"5 	c #8D8D7F",
"6 	c #9B9352",
"7 	c #909081",
"8 	c #929283",
"9 	c #959586",
"0 	c #B4944A",
"a 	c #B89345",
"b 	c #969696",
"c 	c #9B9B8B",
"d 	c #9C9C8C",
"e 	c #9D9D8D",
"f 	c #BB9C51",
"g 	c #9F9F8E",
"h 	c #A0A090",
"i 	c #9F9F9F",
"j 	c #A0A0A0",
"k 	c #A6A695",
"l 	c #A5A5A3",
"m 	c #A8A8A8",
"n 	c #AAAA98",
"o 	c #B6A989",
"p 	c #ABABAB",
"q 	c #ADAD9B",
"r 	c #ADADAD",
"s 	c #AFAFAF",
"t 	c #B2B29F",
"u 	c #C3AF81",
"v 	c #B5B5A2",
"w 	c #CFB467",
"x 	c #DAB357",
"y 	c #B7B7A4",
"z 	c #BABAA7",
"A 	c #BDB9AB",
"B 	c #D5B96B",
"C 	c #BBBBBB",
"D 	c #C2BBAC",
"E 	c #BCBCBC",
"F 	c #BDBDBD",
"G 	c #C0C0AC",
"H 	c #BEBEBE",
"I 	c #C0C0C0",
"J 	c #CEC09D",
"K 	c #C3C3AE",
"L 	c #C5C1B4",
"M 	c #C1C1C1",
"N 	c #C4C4AF",
"O 	c #C3C3C3",
"P 	c #C4C4C4",
"Q 	c #C5C5C5",
"R 	c #D0C5A8",
"S 	c #CACAB5",
"T 	c #CACACA",
"U 	c #D1CDBD",
"V 	c #CFCFB9",
"W 	c #D6D1C0",
"X 	c #DFD1B1",
"Y 	c #D2D2D2",
"Z 	c #D5D5BF",
"` 	c #DDDDD0",
" .	c #E2E2D0",
"..	c #E2E2DF",
"+.	c #E3E3E3",
"@.	c #E4E4E4",
"#.	c #EAEAEA",
"$.	c #EBEBEB",
"%.	c #ECECEC",
"&.	c #EDEDE7",
"*.	c #EDEDED",
"=.	c #EEEEEE",
"-.	c #EFEFEF",
";.	c #F6F6EF",
">.	c #FBFBFA",
",.	c #FDFDFD",
"'.	c #FEFEFE",
"      . . . ! * * { . .         ",
"    . '.'.- e V N 5 > M .       ",
"    . '.) d  .&.G t 1 ] m .     ",
"    . '.% Z >.K v k 9 $ I , .   ",
"    . '.& S ` y n c 4 * #.p .   ",
"    . '.~ 8 z q g 7 [ ^ %.Q .   ",
"    . '.-.; 3 h 8 } + + %.P .   ",
"    . ,.=.b { * * ' P + + O .   ",
"    . ,.*.%.%.%.$.$.#.+ + + .   ",
"  . # . . . . . . ( i s + + +   ",
". L W R w B x X ;.. . r Y + + + ",
"/ U = J u 0 a f ..l . . : H + + ",
". A D o _ _ < 2 6 . . p @.F .   ",
"  . @ . . . . . . | C +.+.C .   ",
"    . T F F F E E C C C C j .   ",
"      . . . . . . . . . . .     "};


static Fl_Pixmap image_search_and_replace(stock_search_and_replace_xpm);



static char * stock_compile_xpm[] = {
"16 16 55 1",
" 	c None",
".	c #000000",
"+	c #887FA3",
"@	c #9B9B9B",
"#	c #A1A1A1",
"$	c #AFAFAF",
"%	c #B1B1B1",
"&	c #B3B3B3",
"*	c #B4B4B4",
"=	c #B5B5B5",
"-	c #B6B6B6",
";	c #B8B8B8",
">	c #B9B9B9",
",	c #BBB6CA",
"'	c #BABABA",
")	c #BBBBBB",
"!	c #BDBDBD",
"~	c #BEBEBE",
"{	c #BFBFBF",
"]	c #C0C0C0",
"^	c #C1C1C1",
"/	c #C2C2C2",
"(	c #C3C3C3",
"_	c #C5C1D2",
":	c #C5C5C5",
"<	c #C6C6C6",
"[	c #C8C8C8",
"}	c #CAC6D6",
"|	c #CBCBCB",
"1	c #CDCDCD",
"2	c #D0D0D0",
"3	c #D7D7D7",
"4	c #D8D8D8",
"5	c #DADADA",
"6	c #DBDBDB",
"7	c #DDDDDD",
"8	c #DEDEDE",
"9	c #E0E0E0",
"0	c #E1E1E1",
"a	c #E4E4E4",
"b	c #E7E7E7",
"c	c #EAEAEA",
"d	c #ECEAF0",
"e	c #ECEBF0",
"f	c #ECECEC",
"g	c #EDEDED",
"h	c #EFEFEF",
"i	c #F0EFF3",
"j	c #F0F0F0",
"k	c #F2F2F2",
"l	c #F4F3F6",
"m	c #F5F5F5",
"n	c #F7F6F8",
"o	c #F8F8F8",
"p	c #FFFFFF",
"     ......     ",
"     .ed,,.     ",
"    ..e_++..    ",
"    .n_}+++.    ",
"     .l_++.     ",
"  .....i+.....  ",
" .p357@..#fhk5. ",
".p4680abcgjkmo9.",
".%&=;'!{^(<[|12.",
"................",
" .2$%*->)~]/:5. ",
".p4680abcgjkmo9.",
".%&=;'!{^(<[|12.",
"................",
".%&=;'!{^(<[|12.",
"................"};
static Fl_Pixmap image_compile(stock_compile_xpm);

static const char *idata_arrow[] = {
"16 16 2 1",
" \tc None",
".\tc #000000",
"                ",
"             .. ",
"          ..... ",
"           ...  ",
"           ...  ",
"          .  .  ",
"         .      ",
"        .       ",
"       .        ",
"      .         ",
"     .          ",
"    .           ",
"   .            ",
"  .             ",
"                ",
"                "
};
static Fl_Pixmap image_arrow(idata_arrow);

static const char *idata_font[] = {
"16 16 2 1",
". c None",
"# c #000000",
"......###.......",
".....#####......",
".....#####......",
"....###.###.....",
"....###.###.....",
"....##...##.....",
"...###...###....",
"...#########....",
"..###########...",
"..###########...",
"..###.....###...",
".###.......###..",
".###.......###..",
".###.......###..",
"................",
"................"
};
static Fl_Pixmap image_font(idata_font);

#include <FL/Fl_Image.H>
static unsigned char idata_grid[] =
"\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\0\0\0\377\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\0\0\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\0\0\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\0\0\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\0\0\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\0\0\
\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\0\0\0\377\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\0\0\0\377\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\0\0\0\377\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\
\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\
\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\306\0\306\306\
\306\0\306\306\306\0\306\306\306\0";
static Fl_RGB_Image image_grid(idata_grid, 16, 16, 4, 0);

static const char *idata_line[] = {
"16 16 3 1",
". c None",
"# c #000000",
"a c #000000",
"................",
".............#a.",
"............#a#.",
"...........#a#..",
"..........#a#...",
".........#a#....",
"........#a#.....",
".......#a#......",
"......#a#.......",
".....#a#........",
"....#a#.........",
"...#a#..........",
"..#a#...........",
".#a#............",
".a#.............",
"................"
};
static Fl_Pixmap image_line(idata_line);

static const char *idata_mark[] = {
"16 16 10 1",
". c None",
"# c #000000",
"d c #000000",
"g c #000000",
"f c #000000",
"h c #000000",
"a c #000000",
"e c #d1d1d1",
"b c #e7e7e7",
"c c #ffffff",
".....#..........",
".....a#.........",
".....aa#........",
".....aba#.......",
".....acba#......",
".....accba#.....",
".....acccba#....",
".....accccbad...",
".....acccccea#..",
".....acccbaaf...",
".....abaaca#....",
".....aadaeag....",
".....#..daca....",
"........#aea....",
".........#ah....",
"................"
};
static Fl_Pixmap image_mark(idata_mark);

static const char *idata_new[] = {
"16 16 47 1",
". c None",
"b c #000000",
"# c #000000",
"S c #000000",
"R c #000000",
"Q c #000000",
"a c #000000",
"s c #161616",
"n c #404040",
"r c #4b4b49",
"m c #5d5d5d",
"l c #767676",
"q c #858585",
"P c #a0a0a0",
"j c #a8a8a8",
"k c #adadad",
"M c #bbbbbb",
"O c #bcbcbc",
"K c #bdbdbd",
"I c #bebebe",
"F c #bfbfbf",
"C c #c0c0c0",
"f c #c1c1c1",
"N c #c2c2c2",
"h c #c3c3c3",
"x c #c4c4c4",
"v c #c5c5c5",
"e c #e0e0e0",
"p c #e2e2e2",
"L c #e3e3e3",
"J c #e4e4e4",
"H c #e5e5e5",
"G c #e6e6e6",
"E c #e7e7e7",
"B c #e8e8e8",
"D c #e9e9e9",
"A c #eaeaea",
"y c #ebebeb",
"w c #ececec",
"z c #ededed",
"u c #eeeeee",
"t c #efefef",
"o c #f0f0f0",
"g c #f1f1f1",
"i c #fbfbfb",
"d c #fdfdfd",
"c c #fefefe",
".#aaaaaaaaab....",
".accccccdefa#...",
".acgggggghijab..",
".acggggggklmna..",
".acgggggopqrsa..",
".acgttttttuuva..",
".actttuuuuuwxa..",
".aduuuuuuuuyha..",
".adzwwwyyAAAfa..",
".adyBBBBBBBBCa..",
".adAADDBBBEEFa..",
".adBGGGGGGGHIa..",
".adEEGGGHHJJKa..",
".adGHHHJJLLLMa..",
".aNKKKOOMMMMPQ..",
".RaaaaaaaaaaaS.."
};
static Fl_Pixmap image_new(idata_new);

static const char *idata_open[] = {
"16 16 65 2",
"Qt c None",
".# c #000000",
".a c #000000",
".G c #1a1a16",
".J c #25261f",
".E c #3c3d32",
".A c #404135",
".D c #404236",
".B c #424337",
".C c #434437",
".F c #48493c",
".y c #4b4d3f",
".z c #4d4f40",
".R c #5f6152",
".x c #666858",
".k c #6d705f",
"#. c #6e715c",
".5 c #767671",
".Y c #80817b",
".1 c #83866d",
".I c #848672",
".U c #878a70",
".w c #878a75",
".S c #888980",
".m c #8a8c7d",
".p c #8b8e7a",
".g c #8d907b",
".n c #8e917b",
".i c #90937d",
".o c #91947f",
".r c #919480",
".h c #92957e",
".Z c #96968d",
".2 c #97998d",
".j c #979b84",
".9 c #989b80",
".s c #989b86",
".P c #989c80",
".q c #999b87",
".X c #9ea284",
".V c #9fa19a",
".u c #a2a394",
".4 c #a2a688",
".e c #a3a39d",
".T c #a7ab8c",
".t c #b1b4a2",
".8 c #bbbf9d",
".H c #c6c6be",
".Q c #c6c7be",
".O c #c7cca7",
".N c #cdd2ac",
".7 c #d1d3bd",
".c c #d5d6cb",
".d c #d6d7ca",
".M c #d6dabb",
".L c #dde0c7",
".0 c #e3e5d1",
".b c #e4e5df",
".6 c #e7e9da",
".l c #eaecdb",
".3 c #edefe2",
".W c #eff0e5",
".K c #f1f2e9",
".f c #f5f6f0",
".v c #f7f7f7",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQt.#.a.a.a.a.#QtQtQtQtQtQtQtQt",
"Qt.#.a.b.c.d.e.a.#QtQtQtQtQtQtQt",
"Qt.a.f.g.h.i.j.k.a.a.a.a.a.#QtQt",
"Qt.a.l.m.n.o.p.q.r.s.r.t.u.aQtQt",
"Qt.a.v.w.x.y.z.A.B.B.C.D.E.F.G.#",
"Qt.a.H.I.J.K.L.M.N.N.N.N.N.O.P.a",
"Qt.a.Q.R.S.L.N.N.N.N.N.N.N.T.U.a",
"Qt.a.V.J.W.M.N.N.N.N.N.N.N.X.a.#",
"Qt.a.Y.Z.0.N.N.N.N.N.N.N.N.1.aQt",
"Qt.a.2.3.N.N.N.N.N.N.N.N.4.a.#Qt",
"Qt.a.5.6.7.8.8.8.8.8.8.9#..aQtQt",
"Qt.#.a.a.a.a.a.a.a.a.a.a.a.#QtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"
};
static Fl_Pixmap image_open(idata_open);

static const char *idata_print[] = {
"16 16 89 2",
"Qt c None",
".l c #ebebeb",
".# c #000000",
".e c #131313",
".N c #1b1b1b",
"#w c #1e1d1b",
"#n c #201f1e",
"#v c #31302d",
".c c #353535",
"#u c #393835",
"#t c #3a3936",
"#s c #3f3e3c",
"#o c #403f3d",
".n c #414141",
"#r c #42423f",
"#p c #444341",
"#q c #454542",
".8 c #4d4b47",
".k c #4d4d4d",
".9 c #4f4d49",
".7 c #504d49",
".5 c #514f4b",
"#. c #514f4c",
".6 c #52504c",
".3 c #54514e",
".4 c #54524e",
".2 c #615e59",
".Y c #81807e",
".o c #8c8c8c",
".D c #8d8d8d",
"## c #939291",
".O c #969594",
".p c #979797",
"#a c #9b9a97",
".1 c #9e9d9c",
".Z c #9f9e9a",
".F c #a0a0a0",
".m c #a4a4a4",
"#j c #a6a6a4",
".0 c #a8a7a6",
"#m c #aaa9a6",
"#k c #abaaa7",
"#i c #acaca9",
"#l c #aeadaa",
".A c #aeadab",
"#g c #afaeac",
"#h c #b0aeac",
"#f c #b1b1ae",
"#e c #b3b1af",
".L c #b3b2b0",
"#b c #b4b3b1",
".t c #b5b5b5",
"#d c #b9b8b5",
".q c #bcbbbb",
"#c c #c0bfbc",
".u c #c2c2c2",
".f c #c7c7c7",
".M c #cccac6",
".s c #d0d0cf",
".d c #d3d3d3",
".r c #d4d4d3",
".P c #d6d4d2",
".g c #d7d7d7",
".K c #d8d7d4",
".X c #d9d8d6",
".H c #d9d9d8",
".W c #dad9d7",
".V c #dbdbd9",
".j c #dbdbdb",
".J c #dcdcda",
".R c #dcdcdb",
".Q c #dddbda",
".U c #dddcdb",
".I c #dedddc",
".S c #dedddd",
".T c #dfdedd",
".G c #e2e2e2",
".C c #e5e5e4",
".i c #e9e9e9",
".h c #ebebeb",
".z c #ececeb",
".b c #ececec",
".E c #f1f1f1",
".y c #f4f4f3",
".B c #f7f7f7",
".x c #f8f8f8",
".w c #fafafa",
".v c #fbfbfb",
".a c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQt.#.#.#.#.#.#.#.#.#QtQtQt",
"QtQtQtQt.#.a.a.a.a.a.a.b.#QtQtQt",
"QtQtQtQt.#.a.c.d.#.e.f.g.#QtQtQt",
"QtQtQtQt.#.a.h.i.i.i.h.j.#QtQtQt",
"QtQtQtQt.#.a.k.#.l.#.m.j.#QtQtQt",
"QtQtQtQt.#.a.h.h.h.h.h.j.#QtQtQt",
"QtQtQt.#.#.a.n.h.o.#.p.j.#.#QtQt",
"QtQt.#.q.r.a.i.i.i.i.i.i.s.t.#Qt",
"Qt.#.u.v.a.w.a.w.v.v.w.x.y.z.A.#",
"Qt.#.w.B.C.D.E.F.G.H.I.J.K.L.M.N",
"Qt.#.O.P.Q.R.S.T.U.H.V.W.X.Y.Z.#",
"Qt.#.0.1.2.3.4.5.6.7.8.9#.###a.#",
"Qt.##b#c#d#e#f#g#h#i#j#k#l#g#m.#",
"Qt.##n#o#p#q#q#q#r#o#s#t#u#v#w.#",
"QtQt.#.#.#.#.#.#.#.#.#.#.#.#.#Qt"
};
static Fl_Pixmap image_print(idata_print);

static const char *idata_rotate[] = {
"16 16 73 2",
"Qt c None",
"#g c #4b6983",
"## c #4b6983",
"#f c #4a6882",
"#. c #4a6882",
".4 c #4b6983",
"#e c #496780",
".d c #7b1f1f",
".b c #000000",
".X c #4a6882",
".3 c #4a6881",
"#d c #48647e",
"#c c #47637c",
".Q c #496780",
"#b c #93adc5",
".r c #000000",
".I c #496780",
".9 c #47647d",
".A c #9ab5cf",
".# c #000000",
".W c #496680",
"#a c #000000",
".2 c #47657d",
".8 c #46627b",
".P c #48667e",
".7 c #425e76",
".H c #48647e",
".6 c #8ba4ba",
".J c #000000",
".p c #0f0303",
".1 c #45627b",
".V c #46637c",
".5 c #000000",
".z c #97b1ca",
".e c #7b1f1f",
".q c #000000",
".g c #7b1f1f",
".c c #000000",
".0 c #425d74",
".O c #45627a",
".j c #7b1f1f",
".U c #435e76",
".Z c #3e576f",
".G c #446078",
".Y c #7d93a8",
".y c #8fa8bf",
".N c #405970",
".T c #3e566c",
".k c #7b1f1f",
".F c #3e576e",
".B c #7b1f1f",
".S c #385063",
".f c #7b1f1f",
".M c #395165",
".o c #7b1f1f",
".x c #839ab0",
".R c #6e8295",
".L c #334759",
".E c #374e61",
".D c #3c3c4a",
".w c #74889c",
".K c #627383",
".a c #000000",
".C c #733033",
".v c #753336",
".u c #7a2f1d",
".t c #862414",
".n c #892612",
".s c #b6503e",
".m c #e4583d",
".i c #e46147",
".h c #ed907e",
".l c #ed9280",
"QtQtQtQtQtQtQt.#QtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQt.a.a.#QtQtQtQtQtQt",
"QtQtQtQtQt.#.a.a.a.a.a.#QtQtQtQt",
"QtQtQt.b.a.a.#.a.a.#QtQtQtQtQtQt",
"QtQtQt.a.cQtQt.#QtQtQtQtQtQtQtQt",
"QtQt.#.aQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQt.a.#QtQt.d.e.f.g.dQtQtQtQtQt",
".#.a.a.a.#Qt.g.h.h.i.jQtQtQtQtQt",
"Qt.a.a.aQtQt.k.l.m.n.o.p.a.a.q.r",
"Qt.#.a.#QtQt.g.s.t.u.v.w.x.y.z.A",
"QtQt.aQtQtQt.d.g.B.C.D.E.F.G.H.I",
"QtQt.#QtQtQtQtQt.J.K.L.M.N.O.P.Q",
"QtQtQtQtQtQtQtQt.a.R.S.T.U.V.W.X",
"QtQtQtQtQtQtQtQt.a.Y.Z.0.1.2.3.4",
"QtQtQtQtQtQtQtQt.5.6.7.8.9.3#.##",
"QtQtQtQtQtQtQtQt#a#b#c#d#e#f###g"
};
static Fl_Pixmap image_rotate(idata_rotate);

static const char *idata_save[] = {
"16 16 89 2",
"#s c None",
"Qt c #000000",
".a c #000000",
"#t c #000000",
"#u c #000000",
"#v c #000000",
"#w c #000000",
".# c #000000",
".8 c #112835",
"#f c #112c3a",
".0 c #132d3c",
".X c #183042",
"#r c #1a3140",
"#b c #213648",
"#o c #2d3949",
".5 c #2e4353",
".V c #2f4656",
".Y c #33495a",
"#p c #3e4f5c",
".A c #496072",
".w c #4f6475",
".q c #54697c",
".1 c #586d80",
"#h c #59636d",
".6 c #5a7082",
"#c c #5f7989",
"#. c #6b7882",
"#m c #6e6e6e",
"#n c #7a7a7a",
".Q c #7d97ac",
".P c #7e99ad",
".O c #7f9aae",
".W c #80868c",
"#q c #80878f",
".z c #819aae",
"## c #839eb2",
".v c #84a0b5",
"#l c #868686",
".3 c #86a4b9",
".N c #89a6bc",
".R c #8ca8bd",
".j c #8da9be",
"#k c #909090",
".2 c #97a5b0",
".U c #9c9d9d",
".9 c #9da9b0",
"#g c #9fa9b0",
"#i c #a1a1a1",
".M c #a1b6c4",
".S c #a8b1bd",
".I c #aebfcd",
"#e c #b2b2b2",
".k c #b7877e",
".Z c #b9b9b9",
".7 c #bfbfbf",
".L c #bfcbd6",
".h c #bfd5e8",
"#j c #c0c0c0",
"#d c #c2c2c2",
".F c #c5c5c5",
".n c #c77466",
".m c #c77467",
".l c #c77568",
".K c #c7cfda",
".o c #c87668",
".d c #c88a80",
".J c #cad6df",
".c c #cbddeb",
".p c #cd867a",
".4 c #cdcdcd",
".T c #cecece",
".r c #cfe0ed",
".e c #d18f84",
".f c #d19084",
".g c #d39186",
".E c #d4d4d4",
".x c #d6d6d6",
".s c #d7d7d7",
".i c #dbe7f1",
"#a c #e6e6e6",
".D c #ebebeb",
".G c #eeeeee",
".y c #f1f1f1",
".H c #f2f2f2",
".C c #f4f4f4",
".b c #f7f8fa",
".u c #f9f9f9",
".B c #fcfcfc",
".t c #fefefe",
"Qt.#.#.#.#.#.#.#.#.#.#.#.#.#.#.a",
".#.b.c.d.e.e.e.e.e.e.f.e.g.h.h.#",
".#.i.j.k.l.m.m.m.m.n.m.o.p.j.q.#",
".#.r.j.s.t.t.t.t.t.t.t.t.u.v.w.#",
".#.r.j.s.s.s.s.s.s.s.s.x.y.z.A.#",
".#.r.j.s.t.t.t.t.B.C.D.D.y.z.A.#",
".#.r.j.s.s.s.s.E.F.F.F.F.y.z.A.#",
".#.r.j.G.t.t.H.D.D.D.D.D.G.z.A.#",
".#.r.j.I.J.K.L.L.L.L.L.L.M.z.A.#",
".#.r.j.j.N.O.z.z.z.z.P.Q.z.z.A.#",
".#.r.j.R.S.F.F.T.D.s.U.V.W.z.A.#",
".#.r.j.v.F.F.X.Y.x.F.Z.0.1.2.A.#",
".#.r.3.z.F.4.5.6.F.F.7.8.6.9.A.#",
".##.##.z.4#a#b#c.F#d#e#f.6#g.A.#",
".a.##h.w#i#j#k#k#l#m#n#o#p#q#r.#",
"#s.a.##t#u.#.#.#.#.#.##v#w.#.#Qt"
};
static Fl_Pixmap image_save(idata_save);

static const char *idata_zoomin[] = {
"16 16 42 1",
". c None",
"# c #000000",
"u c #040404",
"t c #050505",
"x c #090909",
"N c #1f1f1f",
"I c #202020",
"y c #242424",
"n c #252525",
"a c #262626",
"o c #282828",
"K c #343434",
"M c #3a3a3a",
"f c #464646",
"J c #686868",
"G c #6d6d6d",
"m c #707070",
"L c #797979",
"E c #858585",
"g c #878787",
"H c #a1a1a1",
"w c #a4a4a4",
"e c #ababab",
"r c #b0b0b0",
"C c #bababa",
"b c #c5c5c5",
"F c #e3e3e3",
"A c #e4e4e4",
"z c #e5e5e5",
"D c #e7e7e7",
"q c #e8e8e8",
"l c #eaeaea",
"d c #ededed",
"c c #eeeeee",
"h c #f1f1f1",
"B c #f9f9f9",
"v c #fafafa",
"p c #fbfbfb",
"k c #fcfcfc",
"j c #fdfdfd",
"i c #fefefe",
"s c #ffffff",
"...######.......",
".##abcdef##.....",
".#ghiijklm#.....",
"#fhiinojpqf#....",
"#riistujkvw#....",
"#cittxuuyvz#....",
"#djyu##tyvA#....",
"#ekjjuupvBC#....",
"#flpkxnvBDf#....",
".#EqvvvBFG##....",
".##fwzAHf#####..",
"...#######II###.",
".........##JK###",
"..........##LM##",
"..........###JN#",
"...........#####"
};
static Fl_Pixmap image_zoomin(idata_zoomin);

static const char *idata_zoomout[] = {
"16 16 40 1",
". c None",
"# c #000000",
"v c #040404",
"t c #050505",
"u c #090909",
"L c #1f1f1f",
"G c #202020",
"w c #242424",
"a c #262626",
"I c #343434",
"K c #3a3a3a",
"f c #464646",
"H c #686868",
"E c #6d6d6d",
"m c #707070",
"J c #797979",
"C c #858585",
"g c #878787",
"F c #a1a1a1",
"s c #a4a4a4",
"e c #ababab",
"p c #b0b0b0",
"A c #bababa",
"b c #c5c5c5",
"D c #e3e3e3",
"y c #e4e4e4",
"x c #e5e5e5",
"B c #e7e7e7",
"o c #e8e8e8",
"l c #eaeaea",
"d c #ededed",
"c c #eeeeee",
"h c #f1f1f1",
"z c #f9f9f9",
"r c #fafafa",
"n c #fbfbfb",
"k c #fcfcfc",
"j c #fdfdfd",
"i c #fefefe",
"q c #ffffff",
"...######.......",
".##abcdef##.....",
".#ghiijklm#.....",
"#fhiiiijnof#....",
"#piiqiijkrs#....",
"#cittuvvwrx#....",
"#djwv##twry#....",
"#ekjjjknrzA#....",
"#flnknnrzBf#....",
".#CorrrzDE##....",
".##fsxyFf#####..",
"...#######GG###.",
".........##HI###",
"..........##JK##",
"..........###HL#",
"...........#####"
};
static Fl_Pixmap image_zoomout(idata_zoomout);



static short src_file_icon[] = { 
	1, -28397, 12032, 4, 6, 1000, 9500, 6, 10000, 9500, 6, 10000, 8938, 6, 1000, 8938, 0, 
	1, -28397, 12032, 4, 6, 1000, 8938, 6, 1562, 8938, 6, 1562, 8375, 6, 1000, 8375, 0, 
	1, -13965, -31232, 4, 6, 1562, 8938, 6, 2125, 8938, 6, 2125, 8375, 6, 1562, 8375, 0, 
	1, -14997, 32256, 4, 6, 2125, 8938, 6, 2687, 8938, 6, 2687, 8375, 6, 2125, 8375, 0, 
	1, -13965, -31232, 4, 6, 2687, 8938, 6, 3250, 8938, 6, 3250, 8375, 6, 2687, 8375, 0, 
	1, -14997, 32256, 4, 6, 3250, 8938, 6, 3812, 8938, 6, 3812, 8375, 6, 3250, 8375, 0, 
	1, -21187, 21760, 4, 6, 3812, 8938, 6, 4375, 8938, 6, 4375, 8375, 6, 3812, 8375, 0, 
	1, -29168, 11008, 4, 6, 4375, 8938, 6, 4937, 8938, 6, 4937, 8375, 6, 4375, 8375, 0, 
	1, -31226, 8704, 4, 6, 4937, 8938, 6, 5500, 8938, 6, 5500, 8375, 6, 4937, 8375, 0, 
	1, 30720, 6656, 4, 6, 5500, 8938, 6, 6062, 8938, 6, 6062, 8375, 6, 5500, 8375, 0, 
	1, 26368, 5632, 4, 6, 6062, 8938, 6, 6625, 8938, 6, 6625, 8375, 6, 6062, 8375, 0, 
	1, 22528, 4864, 4, 6, 6625, 8938, 6, 7187, 8938, 6, 7187, 8375, 6, 6625, 8375, 0, 
	1, 21504, 4608, 4, 6, 7187, 8938, 6, 7750, 8938, 6, 7750, 8375, 6, 7187, 8375, 0, 
	1, 22016, 4608, 4, 6, 7750, 8938, 6, 8875, 8938, 6, 8875, 8375, 6, 7750, 8375, 0, 
	1, 21248, 4608, 4, 6, 8875, 8938, 6, 9437, 8938, 6, 9437, 8375, 6, 8875, 8375, 0, 
	1, -28397, 12032, 4, 6, 9437, 8938, 6, 10000, 8938, 6, 10000, 8375, 6, 9437, 8375, 0, 
	1, -28397, 12032, 4, 6, 1000, 8375, 6, 1562, 8375, 6, 1562, 7813, 6, 1000, 7813, 0, 
	1, -13965, -31232, 4, 6, 1562, 8375, 6, 2125, 8375, 6, 2125, 7813, 6, 1562, 7813, 0, 
	1, -14997, 32256, 4, 6, 2125, 8375, 6, 2687, 8375, 6, 2687, 7813, 6, 2125, 7813, 0, 
	1, -13965, -31232, 4, 6, 2687, 8375, 6, 3250, 8375, 6, 3250, 7813, 6, 2687, 7813, 0, 
	1, -14997, 32256, 4, 6, 3250, 8375, 6, 3812, 8375, 6, 3812, 7813, 6, 3250, 7813, 0, 
	1, -21187, 21760, 4, 6, 3812, 8375, 6, 4375, 8375, 6, 4375, 7813, 6, 3812, 7813, 0, 
	1, -29168, 11008, 4, 6, 4375, 8375, 6, 4937, 8375, 6, 4937, 7813, 6, 4375, 7813, 0, 
	1, -31226, 8704, 4, 6, 4937, 8375, 6, 5500, 8375, 6, 5500, 7813, 6, 4937, 7813, 0, 
	1, 30720, 6656, 4, 6, 5500, 8375, 6, 6062, 8375, 6, 6062, 7813, 6, 5500, 7813, 0, 
	1, 26368, 5632, 4, 6, 6062, 8375, 6, 6625, 8375, 6, 6625, 7813, 6, 6062, 7813, 0, 
	1, 22528, 4864, 4, 6, 6625, 8375, 6, 7187, 8375, 6, 7187, 7813, 6, 6625, 7813, 0, 
	1, 21504, 4608, 4, 6, 7187, 8375, 6, 7750, 8375, 6, 7750, 7813, 6, 7187, 7813, 0, 
	1, 22016, 4608, 4, 6, 7750, 8375, 6, 8875, 8375, 6, 8875, 7813, 6, 7750, 7813, 0, 
	1, 21248, 4608, 4, 6, 8875, 8375, 6, 9437, 8375, 6, 9437, 7813, 6, 8875, 7813, 0, 
	1, -28397, 12032, 4, 6, 9437, 8375, 6, 10000, 8375, 6, 10000, 7813, 6, 9437, 7813, 0, 
	1, -28397, 12032, 4, 6, 1000, 7813, 6, 1562, 7813, 6, 1562, 7250, 6, 1000, 7250, 0, 
	1, -13965, -31232, 4, 6, 1562, 7813, 6, 2125, 7813, 6, 2125, 7250, 6, 1562, 7250, 0, 
	1, -14997, 32256, 4, 6, 2125, 7813, 6, 2687, 7813, 6, 2687, 7250, 6, 2125, 7250, 0, 
	1, -13965, -31232, 4, 6, 2687, 7813, 6, 3250, 7813, 6, 3250, 7250, 6, 2687, 7250, 0, 
	1, -14997, 32256, 4, 6, 3250, 7813, 6, 3812, 7813, 6, 3812, 7250, 6, 3250, 7250, 0, 
	1, -21187, 21760, 4, 6, 3812, 7813, 6, 4375, 7813, 6, 4375, 7250, 6, 3812, 7250, 0, 
	1, -29168, 11008, 4, 6, 4375, 7813, 6, 4937, 7813, 6, 4937, 7250, 6, 4375, 7250, 0, 
	1, -31226, 8704, 4, 6, 4937, 7813, 6, 5500, 7813, 6, 5500, 7250, 6, 4937, 7250, 0, 
	1, 30720, 6656, 4, 6, 5500, 7813, 6, 6062, 7813, 6, 6062, 7250, 6, 5500, 7250, 0, 
	1, 26368, 5632, 4, 6, 6062, 7813, 6, 6625, 7813, 6, 6625, 7250, 6, 6062, 7250, 0, 
	1, 22528, 4864, 4, 6, 6625, 7813, 6, 7187, 7813, 6, 7187, 7250, 6, 6625, 7250, 0, 
	1, 21504, 4608, 4, 6, 7187, 7813, 6, 7750, 7813, 6, 7750, 7250, 6, 7187, 7250, 0, 
	1, 22016, 4608, 4, 6, 7750, 7813, 6, 8875, 7813, 6, 8875, 7250, 6, 7750, 7250, 0, 
	1, 21248, 4608, 4, 6, 8875, 7813, 6, 9437, 7813, 6, 9437, 7250, 6, 8875, 7250, 0, 
	1, -28397, 12032, 4, 6, 9437, 7813, 6, 10000, 7813, 6, 10000, 7250, 6, 9437, 7250, 0, 
	1, -28397, 12032, 4, 6, 1000, 7250, 6, 1562, 7250, 6, 1562, 6688, 6, 1000, 6688, 0, 
	1, -3367, -8704, 4, 6, 1562, 7250, 6, 2125, 7250, 6, 2125, 6688, 6, 1562, 6688, 0, 
	1, -4143, -10496, 4, 6, 2125, 7250, 6, 2687, 7250, 6, 2687, 6688, 6, 2125, 6688, 0, 
	1, -3367, -8704, 4, 6, 2687, 7250, 6, 3250, 7250, 6, 3250, 6688, 6, 2687, 6688, 0, 
	1, -4143, -10496, 4, 6, 3250, 7250, 6, 3812, 7250, 6, 3812, 6688, 6, 3250, 6688, 0, 
	1, -4920, -12288, 4, 6, 3812, 7250, 6, 4375, 7250, 6, 4375, 6688, 6, 3812, 6688, 0, 
	1, -4661, -11776, 4, 6, 4375, 7250, 6, 4937, 7250, 6, 4937, 6688, 6, 4375, 6688, 0, 
	1, -5178, -12800, 4, 6, 4937, 7250, 6, 5500, 7250, 6, 5500, 6688, 6, 4937, 6688, 0, 
	1, -5954, -14592, 4, 6, 5500, 7250, 6, 6062, 7250, 6, 6062, 6688, 6, 5500, 6688, 0, 
	1, -6472, -15872, 4, 6, 6062, 7250, 6, 6625, 7250, 6, 6625, 6688, 6, 6062, 6688, 0, 
	1, -7247, -17664, 4, 6, 6625, 7250, 6, 7187, 7250, 6, 7187, 6688, 6, 6625, 6688, 0, 
	1, -7506, -18176, 4, 6, 7187, 7250, 6, 8312, 7250, 6, 8312, 6688, 6, 7187, 6688, 0, 
	1, -7764, -18688, 4, 6, 8312, 7250, 6, 8875, 7250, 6, 8875, 6688, 6, 8312, 6688, 0, 
	1, -8540, -20480, 4, 6, 8875, 7250, 6, 9437, 7250, 6, 9437, 6688, 6, 8875, 6688, 0, 
	1, -28397, 12032, 4, 6, 9437, 7250, 6, 10000, 7250, 6, 10000, 6688, 6, 9437, 6688, 0, 
	1, -28397, 12032, 4, 6, 1000, 6688, 6, 1562, 6688, 6, 1562, 6125, 6, 1000, 6125, 0, 
	1, -1, -256, 4, 6, 1562, 6688, 6, 9437, 6688, 6, 9437, 6125, 6, 1562, 6125, 0, 
	1, -28397, 12032, 4, 6, 9437, 6688, 6, 10000, 6688, 6, 10000, 6125, 6, 9437, 6125, 0, 
	1, -28397, 12032, 4, 6, 1000, 6125, 6, 1562, 6125, 6, 1562, 5563, 6, 1000, 5563, 0, 
	1, -1, -256, 4, 6, 1562, 6125, 6, 2687, 6125, 6, 2687, 5563, 6, 1562, 5563, 0, 
	1, 0, 
	56, 4, 6, 2687, 6125, 6, 4375, 6125, 6, 4375, 5563, 6, 2687, 5563, 0, 
	1, -1, -256, 4, 6, 4375, 6125, 6, 4937, 6125, 6, 4937, 5563, 6, 4375, 5563, 0, 
	1, 0, 
	56, 4, 6, 4937, 6125, 6, 6625, 6125, 6, 6625, 5563, 6, 4937, 5563, 0, 
	1, -1, -256, 4, 6, 6625, 6125, 6, 7187, 6125, 6, 7187, 5563, 6, 6625, 5563, 0, 
	1, 0, 
	56, 4, 6, 7187, 6125, 6, 8875, 6125, 6, 8875, 5563, 6, 7187, 5563, 0, 
	1, -1, -256, 4, 6, 8875, 6125, 6, 9437, 6125, 6, 9437, 5563, 6, 8875, 5563, 0, 
	1, -28397, 12032, 4, 6, 9437, 6125, 6, 10000, 6125, 6, 10000, 5563, 6, 9437, 5563, 0, 
	1, -28397, 12032, 4, 6, 1000, 5563, 6, 1562, 5563, 6, 1562, 5000, 6, 1000, 5000, 0, 
	1, -1, -256, 4, 6, 1562, 5563, 6, 2687, 5563, 6, 2687, 5000, 6, 1562, 5000, 0, 
	1, 0, 
	56, 4, 6, 2687, 5563, 6, 3250, 5563, 6, 3250, 5000, 6, 2687, 5000, 0, 
	1, -1, -256, 4, 6, 3250, 5563, 6, 4937, 5563, 6, 4937, 5000, 6, 3250, 5000, 0, 
	1, 0, 
	56, 4, 6, 4937, 5563, 6, 5500, 5563, 6, 5500, 5000, 6, 4937, 5000, 0, 
	1, -1, -256, 4, 6, 5500, 5563, 6, 6062, 5563, 6, 6062, 5000, 6, 5500, 5000, 0, 
	1, 0, 
	56, 4, 6, 6062, 5563, 6, 6625, 5563, 6, 6625, 5000, 6, 6062, 5000, 0, 
	1, -1, -256, 4, 6, 6625, 5563, 6, 7187, 5563, 6, 7187, 5000, 6, 6625, 5000, 0, 
	1, 0, 
	56, 4, 6, 7187, 5563, 6, 7750, 5563, 6, 7750, 5000, 6, 7187, 5000, 0, 
	1, -1, -256, 4, 6, 7750, 5563, 6, 8312, 5563, 6, 8312, 5000, 6, 7750, 5000, 0, 
	1, 0, 
	56, 4, 6, 8312, 5563, 6, 8875, 5563, 6, 8875, 5000, 6, 8312, 5000, 0, 
	1, -1, -256, 4, 6, 8875, 5563, 6, 9437, 5563, 6, 9437, 5000, 6, 8875, 5000, 0, 
	1, -28397, 12032, 4, 6, 9437, 5563, 6, 10000, 5563, 6, 10000, 5000, 6, 9437, 5000, 0, 
	1, -28397, 12032, 4, 6, 1000, 5000, 6, 1562, 5000, 6, 1562, 4438, 6, 1000, 4438, 0, 
	1, -1, -256, 4, 6, 1562, 5000, 6, 2687, 5000, 6, 2687, 4438, 6, 1562, 4438, 0, 
	1, 0, 
	56, 4, 6, 2687, 5000, 6, 3250, 5000, 6, 3250, 4438, 6, 2687, 4438, 0, 
	1, -1, -256, 4, 6, 3250, 5000, 6, 4937, 5000, 6, 4937, 4438, 6, 3250, 4438, 0, 
	1, 0, 
	56, 4, 6, 4937, 5000, 6, 6062, 5000, 6, 6062, 4438, 6, 4937, 4438, 0, 
	1, -1, -256, 4, 6, 6062, 5000, 6, 7187, 5000, 6, 7187, 4438, 6, 6062, 4438, 0, 
	1, 0, 
	56, 4, 6, 7187, 5000, 6, 8312, 5000, 6, 8312, 4438, 6, 7187, 4438, 0, 
	1, -1, -256, 4, 6, 8312, 5000, 6, 9437, 5000, 6, 9437, 4438, 6, 8312, 4438, 0, 
	1, -28397, 12032, 4, 6, 9437, 5000, 6, 10000, 5000, 6, 10000, 4438, 6, 9437, 4438, 0, 
	1, -28397, 12032, 4, 6, 1000, 4438, 6, 1562, 4438, 6, 1562, 3875, 6, 1000, 3875, 0, 
	1, -1, -256, 4, 6, 1562, 4438, 6, 2687, 4438, 6, 2687, 3875, 6, 1562, 3875, 0, 
	1, 0, 
	56, 4, 6, 2687, 4438, 6, 4375, 4438, 6, 4375, 3875, 6, 2687, 3875, 0, 
	1, -1, -256, 4, 6, 4375, 4438, 6, 4937, 4438, 6, 4937, 3875, 6, 4375, 3875, 0, 
	1, 0, 
	56, 4, 6, 4937, 4438, 6, 5500, 4438, 6, 5500, 3875, 6, 4937, 3875, 0, 
	1, -1, -256, 4, 6, 5500, 4438, 6, 7187, 4438, 6, 7187, 3875, 6, 5500, 3875, 0, 
	1, 0, 
	56, 4, 6, 7187, 4438, 6, 7750, 4438, 6, 7750, 3875, 6, 7187, 3875, 0, 
	1, -1, -256, 4, 6, 7750, 4438, 6, 9437, 4438, 6, 9437, 3875, 6, 7750, 3875, 0, 
	1, -28397, 12032, 4, 6, 9437, 4438, 6, 10000, 4438, 6, 10000, 3875, 6, 9437, 3875, 0, 
	1, -28397, 12032, 4, 6, 1000, 3875, 6, 1562, 3875, 6, 1562, 3313, 6, 1000, 3313, 0, 
	1, -1, -256, 4, 6, 1562, 3875, 6, 9437, 3875, 6, 9437, 3313, 6, 1562, 3313, 0, 
	1, -28397, 12032, 4, 6, 9437, 3875, 6, 10000, 3875, 6, 10000, 3313, 6, 9437, 3313, 0, 
	1, -28397, 12032, 4, 6, 1000, 3313, 6, 1562, 3313, 6, 1562, 2750, 6, 1000, 2750, 0, 
	1, -1, -256, 4, 6, 1562, 3313, 6, 7187, 3313, 6, 7187, 2750, 6, 1562, 2750, 0, 
	1, -21960, 20736, 4, 6, 7187, 3313, 6, 9437, 3313, 6, 9437, 2750, 6, 7187, 2750, 0, 
	1, -28397, 12032, 4, 6, 9437, 3313, 6, 10000, 3313, 6, 10000, 2750, 6, 9437, 2750, 0, 
	1, -28397, 12032, 4, 6, 1000, 2750, 6, 1562, 2750, 6, 1562, 2188, 6, 1000, 2188, 0, 
	1, -1, -256, 4, 6, 1562, 2750, 6, 7187, 2750, 6, 7187, 2188, 6, 1562, 2188, 0, 
	1, -21960, 20736, 4, 6, 7187, 2750, 6, 7750, 2750, 6, 7750, 2188, 6, 7187, 2188, 0, 
	1, -519, -1792, 4, 6, 7750, 2750, 6, 8875, 2750, 6, 8875, 2188, 6, 7750, 2188, 0, 
	1, -28397, 12032, 4, 6, 8875, 2750, 6, 9437, 2750, 6, 9437, 2188, 6, 8875, 2188, 0, 
	1, -28397, 12032, 4, 6, 1000, 2188, 6, 1562, 2188, 6, 1562, 1625, 6, 1000, 1625, 0, 
	1, -1, -256, 4, 6, 1562, 2188, 6, 7187, 2188, 6, 7187, 1625, 6, 1562, 1625, 0, 
	1, -21960, 20736, 4, 6, 7187, 2188, 6, 7750, 2188, 6, 7750, 1625, 6, 7187, 1625, 0, 
	1, -519, -1792, 4, 6, 7750, 2188, 6, 8312, 2188, 6, 8312, 1625, 6, 7750, 1625, 0, 
	1, -28397, 12032, 4, 6, 8312, 2188, 6, 8875, 2188, 6, 8875, 1625, 6, 8312, 1625, 0, 
	1, -28397, 12032, 4, 6, 1000, 1625, 6, 1562, 1625, 6, 1562, 1063, 6, 1000, 1063, 0, 
	1, -1, -256, 4, 6, 1562, 1625, 6, 7187, 1625, 6, 7187, 1063, 6, 1562, 1063, 0, 
	1, -21960, 20736, 4, 6, 7187, 1625, 6, 7750, 1625, 6, 7750, 1063, 6, 7187, 1063, 0, 
	1, -28397, 12032, 4, 6, 7750, 1625, 6, 8312, 1625, 6, 8312, 1063, 6, 7750, 1063, 0, 
	1, -28397, 12032, 4, 6, 1000, 1063, 6, 7750, 1063, 6, 7750, 500, 6, 1000, 500, 0
  };
static short hdr_file_icon[] = { 
	1, 17710, 27904, 4, 6, 1000, 9500, 6, 10000, 9500, 6, 10000, 8938, 6, 1000, 8938, 0, 
	1, 17710, 27904, 4, 6, 1000, 8938, 6, 1562, 8938, 6, 1562, 8375, 6, 1000, 8375, 0, 
	1, -25973, -19200, 4, 6, 1562, 8938, 6, 2125, 8938, 6, 2125, 8375, 6, 1562, 8375, 0, 
	1, 28507, -28160, 4, 6, 2125, 8938, 6, 2687, 8938, 6, 2687, 8375, 6, 2125, 8375, 0, 
	1, 25679, -30464, 4, 6, 2687, 8938, 6, 3250, 8938, 6, 3250, 8375, 6, 2687, 8375, 0, 
	1, 22594, 32256, 4, 6, 3250, 8938, 6, 3812, 8938, 6, 3812, 8375, 6, 3250, 8375, 0, 
	1, 19509, 29440, 4, 6, 3812, 8938, 6, 4375, 8938, 6, 4375, 8375, 6, 3812, 8375, 0, 
	1, 16939, 27136, 4, 6, 4375, 8938, 6, 4937, 8938, 6, 4937, 8375, 6, 4375, 8375, 0, 
	1, 14626, 25088, 4, 6, 4937, 8938, 6, 5500, 8938, 6, 5500, 8375, 6, 4937, 8375, 0, 
	1, 12572, 22016, 4, 6, 5500, 8938, 6, 6062, 8938, 6, 6062, 8375, 6, 5500, 8375, 0, 
	1, 12059, 21248, 4, 6, 6062, 8938, 6, 7750, 8938, 6, 7750, 8375, 6, 6062, 8375, 0, 
	1, 12059, 20736, 4, 6, 7750, 8938, 6, 8312, 8938, 6, 8312, 8375, 6, 7750, 8375, 0, 
	1, 12059, 21248, 4, 6, 8312, 8938, 6, 8875, 8938, 6, 8875, 8375, 6, 8312, 8375, 0, 
	1, 12059, 20736, 4, 6, 8875, 8938, 6, 9437, 8938, 6, 9437, 8375, 6, 8875, 8375, 0, 
	1, 17710, 27904, 4, 6, 9437, 8938, 6, 10000, 8938, 6, 10000, 8375, 6, 9437, 8375, 0, 
	1, 17710, 27904, 4, 6, 1000, 8375, 6, 1562, 8375, 6, 1562, 7813, 6, 1000, 7813, 0, 
	1, -10545, -7936, 4, 6, 1562, 8375, 6, 2125, 8375, 6, 2125, 7813, 6, 1562, 7813, 0, 
	1, -11059, -8192, 4, 6, 2125, 8375, 6, 2687, 8375, 6, 2687, 7813, 6, 2125, 7813, 0, 
	1, -12602, -9216, 4, 6, 2687, 8375, 6, 3250, 8375, 6, 3250, 7813, 6, 2687, 7813, 0, 
	1, -13631, -9984, 4, 6, 3250, 8375, 6, 3812, 8375, 6, 3812, 7813, 6, 3250, 7813, 0, 
	1, -15173, -11008, 4, 6, 3812, 8375, 6, 4375, 8375, 6, 4375, 7813, 6, 3812, 7813, 0, 
	1, -16459, -12032, 4, 6, 4375, 8375, 6, 4937, 8375, 6, 4937, 7813, 6, 4375, 7813, 0, 
	1, -18002, -13312, 4, 6, 4937, 8375, 6, 5500, 8375, 6, 5500, 7813, 6, 4937, 7813, 0, 
	1, -19288, -14336, 4, 6, 5500, 8375, 6, 6062, 8375, 6, 6062, 7813, 6, 5500, 7813, 0, 
	1, -20316, -14848, 4, 6, 6062, 8375, 6, 6625, 8375, 6, 6625, 7813, 6, 6062, 7813, 0, 
	1, -20830, -15360, 4, 6, 6625, 8375, 6, 7187, 8375, 6, 7187, 7813, 6, 6625, 7813, 0, 
	1, -21088, -15616, 4, 6, 7187, 8375, 6, 7750, 8375, 6, 7750, 7813, 6, 7187, 7813, 0, 
	1, -22116, -16384, 4, 6, 7750, 8375, 6, 8312, 8375, 6, 8312, 7813, 6, 7750, 7813, 0, 
	1, -21088, -15616, 4, 6, 8312, 8375, 6, 8875, 8375, 6, 8875, 7813, 6, 8312, 7813, 0, 
	1, -22116, -16384, 4, 6, 8875, 8375, 6, 9437, 8375, 6, 9437, 7813, 6, 8875, 7813, 0, 
	1, 17710, 27904, 4, 6, 9437, 8375, 6, 10000, 8375, 6, 10000, 7813, 6, 9437, 7813, 0, 
	1, 17710, 27904, 4, 6, 1000, 7813, 6, 1562, 7813, 6, 1562, 7250, 6, 1000, 7250, 0, 
	1, -772, -768, 4, 6, 1562, 7813, 6, 2125, 7813, 6, 2125, 7250, 6, 1562, 7250, 0, 
	1, -1, -256, 4, 6, 2125, 7813, 6, 9437, 7813, 6, 9437, 7250, 6, 2125, 7250, 0, 
	1, 17710, 27904, 4, 6, 9437, 7813, 6, 10000, 7813, 6, 10000, 7250, 6, 9437, 7250, 0, 
	1, 17710, 27904, 4, 6, 1000, 7250, 6, 1562, 7250, 6, 1562, 6688, 6, 1000, 6688, 0, 
	1, -772, -768, 4, 6, 1562, 7250, 6, 2125, 7250, 6, 2125, 6688, 6, 1562, 6688, 0, 
	1, -1, -256, 4, 6, 2125, 7250, 6, 9437, 7250, 6, 9437, 6688, 6, 2125, 6688, 0, 
	1, 17710, 27904, 4, 6, 9437, 7250, 6, 10000, 7250, 6, 10000, 6688, 6, 9437, 6688, 0, 
	1, 17710, 27904, 4, 6, 1000, 6688, 6, 1562, 6688, 6, 1562, 6125, 6, 1000, 6125, 0, 
	1, -772, -768, 4, 6, 1562, 6688, 6, 2125, 6688, 6, 2125, 6125, 6, 1562, 6125, 0, 
	1, -1, -256, 4, 6, 2125, 6688, 6, 4375, 6688, 6, 4375, 6125, 6, 2125, 6125, 0, 
	1, 0, 
	56, 4, 6, 4375, 6688, 6, 4937, 6688, 6, 4937, 6125, 6, 4375, 6125, 0, 
	1, -1, -256, 4, 6, 4937, 6688, 6, 7187, 6688, 6, 7187, 6125, 6, 4937, 6125, 0, 
	1, 0, 
	56, 4, 6, 7187, 6688, 6, 7750, 6688, 6, 7750, 6125, 6, 7187, 6125, 0, 
	1, -1, -256, 4, 6, 7750, 6688, 6, 8875, 6688, 6, 8875, 6125, 6, 7750, 6125, 0, 
	1, -772, -768, 4, 6, 8875, 6688, 6, 9437, 6688, 6, 9437, 6125, 6, 8875, 6125, 0, 
	1, 17710, 27904, 4, 6, 9437, 6688, 6, 10000, 6688, 6, 10000, 6125, 6, 9437, 6125, 0, 
	1, 17710, 27904, 4, 6, 1000, 6125, 6, 1562, 6125, 6, 1562, 5563, 6, 1000, 5563, 0, 
	1, -772, -768, 4, 6, 1562, 6125, 6, 2125, 6125, 6, 2125, 5563, 6, 1562, 5563, 0, 
	1, -1, -256, 4, 6, 2125, 6125, 6, 4375, 6125, 6, 4375, 5563, 6, 2125, 5563, 0, 
	1, 0, 
	56, 4, 6, 4375, 6125, 6, 4937, 6125, 6, 4937, 5563, 6, 4375, 5563, 0, 
	1, -1, -256, 4, 6, 4937, 6125, 6, 7187, 6125, 6, 7187, 5563, 6, 4937, 5563, 0, 
	1, 0, 
	56, 4, 6, 7187, 6125, 6, 7750, 6125, 6, 7750, 5563, 6, 7187, 5563, 0, 
	1, -1, -256, 4, 6, 7750, 6125, 6, 8875, 6125, 6, 8875, 5563, 6, 7750, 5563, 0, 
	1, -772, -768, 4, 6, 8875, 6125, 6, 9437, 6125, 6, 9437, 5563, 6, 8875, 5563, 0, 
	1, 17710, 27904, 4, 6, 9437, 6125, 6, 10000, 6125, 6, 10000, 5563, 6, 9437, 5563, 0, 
	1, 17710, 27904, 4, 6, 1000, 5563, 6, 1562, 5563, 6, 1562, 5000, 6, 1000, 5000, 0, 
	1, -772, -768, 4, 6, 1562, 5563, 6, 2125, 5563, 6, 2125, 5000, 6, 1562, 5000, 0, 
	1, -1, -256, 4, 6, 2125, 5563, 6, 3250, 5563, 6, 3250, 5000, 6, 2125, 5000, 0, 
	1, -772, -768, 4, 6, 3250, 5563, 6, 3812, 5563, 6, 3812, 5000, 6, 3250, 5000, 0, 
	1, -1, -256, 4, 6, 3812, 5563, 6, 4375, 5563, 6, 4375, 5000, 6, 3812, 5000, 0, 
	1, 0, 
	56, 4, 6, 4375, 5563, 6, 7750, 5563, 6, 7750, 5000, 6, 4375, 5000, 0, 
	1, -1, -256, 4, 6, 7750, 5563, 6, 8875, 5563, 6, 8875, 5000, 6, 7750, 5000, 0, 
	1, -772, -768, 4, 6, 8875, 5563, 6, 9437, 5563, 6, 9437, 5000, 6, 8875, 5000, 0, 
	1, 17710, 27904, 4, 6, 9437, 5563, 6, 10000, 5563, 6, 10000, 5000, 6, 9437, 5000, 0, 
	1, 17710, 27904, 4, 6, 1000, 5000, 6, 1562, 5000, 6, 1562, 4438, 6, 1000, 4438, 0, 
	1, -772, -768, 4, 6, 1562, 5000, 6, 2125, 5000, 6, 2125, 4438, 6, 1562, 4438, 0, 
	1, -1, -256, 4, 6, 2125, 5000, 6, 4375, 5000, 6, 4375, 4438, 6, 2125, 4438, 0, 
	1, 0, 
	56, 4, 6, 4375, 5000, 6, 4937, 5000, 6, 4937, 4438, 6, 4375, 4438, 0, 
	1, -1, -256, 4, 6, 4937, 5000, 6, 7187, 5000, 6, 7187, 4438, 6, 4937, 4438, 0, 
	1, 0, 
	56, 4, 6, 7187, 5000, 6, 7750, 5000, 6, 7750, 4438, 6, 7187, 4438, 0, 
	1, -1, -256, 4, 6, 7750, 5000, 6, 8875, 5000, 6, 8875, 4438, 6, 7750, 4438, 0, 
	1, -772, -768, 4, 6, 8875, 5000, 6, 9437, 5000, 6, 9437, 4438, 6, 8875, 4438, 0, 
	1, 17710, 27904, 4, 6, 9437, 5000, 6, 10000, 5000, 6, 10000, 4438, 6, 9437, 4438, 0, 
	1, 17710, 27904, 4, 6, 1000, 4438, 6, 1562, 4438, 6, 1562, 3875, 6, 1000, 3875, 0, 
	1, -772, -768, 4, 6, 1562, 4438, 6, 2125, 4438, 6, 2125, 3875, 6, 1562, 3875, 0, 
	1, -1, -256, 4, 6, 2125, 4438, 6, 4375, 4438, 6, 4375, 3875, 6, 2125, 3875, 0, 
	1, 0, 
	56, 4, 6, 4375, 4438, 6, 4937, 4438, 6, 4937, 3875, 6, 4375, 3875, 0, 
	1, -1, -256, 4, 6, 4937, 4438, 6, 7187, 4438, 6, 7187, 3875, 6, 4937, 3875, 0, 
	1, 0, 
	56, 4, 6, 7187, 4438, 6, 7750, 4438, 6, 7750, 3875, 6, 7187, 3875, 0, 
	1, -1, -256, 4, 6, 7750, 4438, 6, 8875, 4438, 6, 8875, 3875, 6, 7750, 3875, 0, 
	1, -772, -768, 4, 6, 8875, 4438, 6, 9437, 4438, 6, 9437, 3875, 6, 8875, 3875, 0, 
	1, 17710, 27904, 4, 6, 9437, 4438, 6, 10000, 4438, 6, 10000, 3875, 6, 9437, 3875, 0, 
	1, 17710, 27904, 4, 6, 1000, 3875, 6, 1562, 3875, 6, 1562, 3313, 6, 1000, 3313, 0, 
	1, -772, -768, 4, 6, 1562, 3875, 6, 2125, 3875, 6, 2125, 3313, 6, 1562, 3313, 0, 
	1, -1, -256, 4, 6, 2125, 3875, 6, 2687, 3875, 6, 2687, 3313, 6, 2125, 3313, 0, 
	1, 0, 
	56, 4, 6, 2687, 3875, 6, 3250, 3875, 6, 3250, 3313, 6, 2687, 3313, 0, 
	1, -1, -256, 4, 6, 3250, 3875, 6, 4375, 3875, 6, 4375, 3313, 6, 3250, 3313, 0, 
	1, 0, 
	56, 4, 6, 4375, 3875, 6, 4937, 3875, 6, 4937, 3313, 6, 4375, 3313, 0, 
	1, -1, -256, 4, 6, 4937, 3875, 6, 7187, 3875, 6, 7187, 3313, 6, 4937, 3313, 0, 
	1, 0, 
	56, 4, 6, 7187, 3875, 6, 7750, 3875, 6, 7750, 3313, 6, 7187, 3313, 0, 
	1, -1, -256, 4, 6, 7750, 3875, 6, 8875, 3875, 6, 8875, 3313, 6, 7750, 3313, 0, 
	1, -772, -768, 4, 6, 8875, 3875, 6, 9437, 3875, 6, 9437, 3313, 6, 8875, 3313, 0, 
	1, 17710, 27904, 4, 6, 9437, 3875, 6, 10000, 3875, 6, 10000, 3313, 6, 9437, 3313, 0, 
	1, 17710, 27904, 4, 6, 1000, 3313, 6, 1562, 3313, 6, 1562, 2750, 6, 1000, 2750, 0, 
	1, -772, -768, 4, 6, 1562, 3313, 6, 2125, 3313, 6, 2125, 2750, 6, 1562, 2750, 0, 
	1, -1, -256, 4, 6, 2125, 3313, 6, 7187, 3313, 6, 7187, 2750, 6, 2125, 2750, 0, 
	1, 25936, -30208, 4, 6, 7187, 3313, 6, 9437, 3313, 6, 9437, 2750, 6, 7187, 2750, 0, 
	1, 17710, 27904, 4, 6, 9437, 3313, 6, 10000, 3313, 6, 10000, 2750, 6, 9437, 2750, 0, 
	1, 17710, 27904, 4, 6, 1000, 2750, 6, 1562, 2750, 6, 1562, 2188, 6, 1000, 2188, 0, 
	1, -772, -768, 4, 6, 1562, 2750, 6, 2125, 2750, 6, 2125, 2188, 6, 1562, 2188, 0, 
	1, -1, -256, 4, 6, 2125, 2750, 6, 7187, 2750, 6, 7187, 2188, 6, 2125, 2188, 0, 
	1, 25936, -30208, 4, 6, 7187, 2750, 6, 7750, 2750, 6, 7750, 2188, 6, 7187, 2188, 0, 
	1, -772, -768, 4, 6, 7750, 2750, 6, 8875, 2750, 6, 8875, 2188, 6, 7750, 2188, 0, 
	1, 17710, 27904, 4, 6, 8875, 2750, 6, 9437, 2750, 6, 9437, 2188, 6, 8875, 2188, 0, 
	1, 17710, 27904, 4, 6, 1000, 2188, 6, 1562, 2188, 6, 1562, 1625, 6, 1000, 1625, 0, 
	1, -1, -256, 4, 6, 1562, 2188, 6, 7187, 2188, 6, 7187, 1625, 6, 1562, 1625, 0, 
	1, 25936, -30208, 4, 6, 7187, 2188, 6, 7750, 2188, 6, 7750, 1625, 6, 7187, 1625, 0, 
	1, -772, -768, 4, 6, 7750, 2188, 6, 8312, 2188, 6, 8312, 1625, 6, 7750, 1625, 0, 
	1, 17710, 27904, 4, 6, 8312, 2188, 6, 8875, 2188, 6, 8875, 1625, 6, 8312, 1625, 0, 
	1, 17710, 27904, 4, 6, 1000, 1625, 6, 1562, 1625, 6, 1562, 1063, 6, 1000, 1063, 0, 
	1, -1, -256, 4, 6, 1562, 1625, 6, 7187, 1625, 6, 7187, 1063, 6, 1562, 1063, 0, 
	1, 25936, -30208, 4, 6, 7187, 1625, 6, 7750, 1625, 6, 7750, 1063, 6, 7187, 1063, 0, 
	1, 17710, 27904, 4, 6, 7750, 1625, 6, 8312, 1625, 6, 8312, 1063, 6, 7750, 1063, 0, 
	1, 17710, 27904, 4, 6, 1000, 1063, 6, 7750, 1063, 6, 7750, 500, 6, 1000, 500, 0
  };
static short fl_file_icon[] = { 
	1, -12080, -12288, 4, 6, 1000, 8375, 6, 10000, 8375, 6, 10000, 7813, 6, 1000, 7813, 0, 
	1, -12080, -12288, 4, 6, 1000, 7813, 6, 1562, 7813, 6, 1562, 7250, 6, 1000, 7250, 0, 
	1, -32640, -256, 4, 6, 1562, 7813, 6, 2687, 7813, 6, 2687, 7250, 6, 1562, 7250, 0, 
	1, 8224, -256, 4, 6, 2687, 7813, 6, 6625, 7813, 6, 6625, 7250, 6, 2687, 7250, 0, 
	1, -32640, -256, 4, 6, 6625, 7813, 6, 7750, 7813, 6, 7750, 7250, 6, 6625, 7250, 0, 
	1, 8224, -256, 4, 6, 7750, 7813, 6, 8312, 7813, 6, 8312, 7250, 6, 7750, 7250, 0, 
	1, -32640, -256, 4, 6, 8312, 7813, 6, 9437, 7813, 6, 9437, 7250, 6, 8312, 7250, 0, 
	1, 24672, 24576, 4, 6, 9437, 7813, 6, 10000, 7813, 6, 10000, 7250, 6, 9437, 7250, 0, 
	1, -12080, -12288, 4, 6, 1000, 7250, 6, 1562, 7250, 6, 1562, 6688, 6, 1000, 6688, 0, 
	1, -32640, -256, 4, 6, 1562, 7250, 6, 2687, 7250, 6, 2687, 6688, 6, 1562, 6688, 0, 
	1, 8224, -256, 4, 6, 2687, 7250, 6, 6625, 7250, 6, 6625, 6688, 6, 2687, 6688, 0, 
	1, -32640, -256, 4, 6, 6625, 7250, 6, 7750, 7250, 6, 7750, 6688, 6, 6625, 6688, 0, 
	1, 8224, -256, 4, 6, 7750, 7250, 6, 8312, 7250, 6, 8312, 6688, 6, 7750, 6688, 0, 
	1, -32640, -256, 4, 6, 8312, 7250, 6, 9437, 7250, 6, 9437, 6688, 6, 8312, 6688, 0, 
	1, 24672, 24576, 4, 6, 9437, 7250, 6, 10000, 7250, 6, 10000, 6688, 6, 9437, 6688, 0, 
	1, -12080, -12288, 4, 6, 1000, 6688, 6, 1562, 6688, 6, 1562, 6125, 6, 1000, 6125, 0, 
	1, -24416, -24576, 4, 6, 1562, 6688, 6, 9437, 6688, 6, 9437, 6125, 6, 1562, 6125, 0, 
	1, 24672, 24576, 4, 6, 9437, 6688, 6, 10000, 6688, 6, 10000, 6125, 6, 9437, 6125, 0, 
	1, -12080, -12288, 4, 6, 1000, 6125, 6, 1562, 6125, 6, 1562, 5563, 6, 1000, 5563, 0, 
	1, -24416, -24576, 4, 6, 1562, 6125, 6, 9437, 6125, 6, 9437, 5563, 6, 1562, 5563, 0, 
	1, 24672, 24576, 4, 6, 9437, 6125, 6, 10000, 6125, 6, 10000, 5563, 6, 9437, 5563, 0, 
	1, -12080, -12288, 4, 6, 1000, 5563, 6, 1562, 5563, 6, 1562, 5000, 6, 1000, 5000, 0, 
	1, -24416, -24576, 4, 6, 1562, 5563, 6, 9437, 5563, 6, 9437, 5000, 6, 1562, 5000, 0, 
	1, 24672, 24576, 4, 6, 9437, 5563, 6, 10000, 5563, 6, 10000, 5000, 6, 9437, 5000, 0, 
	1, -12080, -12288, 4, 6, 1000, 5000, 6, 1562, 5000, 6, 1562, 4438, 6, 1000, 4438, 0, 
	1, -24416, -24576, 4, 6, 1562, 5000, 6, 9437, 5000, 6, 9437, 4438, 6, 1562, 4438, 0, 
	1, 24672, 24576, 4, 6, 9437, 5000, 6, 10000, 5000, 6, 10000, 4438, 6, 9437, 4438, 0, 
	1, -12080, -12288, 4, 6, 1000, 4438, 6, 1562, 4438, 6, 1562, 3875, 6, 1000, 3875, 0, 
	1, -24416, -24576, 4, 6, 1562, 4438, 6, 9437, 4438, 6, 9437, 3875, 6, 1562, 3875, 0, 
	1, 24672, 24576, 4, 6, 9437, 4438, 6, 10000, 4438, 6, 10000, 3875, 6, 9437, 3875, 0, 
	1, -12080, -12288, 4, 6, 1000, 3875, 6, 1562, 3875, 6, 1562, 3313, 6, 1000, 3313, 0, 
	1, -24416, -24576, 4, 6, 1562, 3875, 6, 9437, 3875, 6, 9437, 3313, 6, 1562, 3313, 0, 
	1, 24672, 24576, 4, 6, 9437, 3875, 6, 10000, 3875, 6, 10000, 3313, 6, 9437, 3313, 0, 
	1, -12080, -12288, 4, 6, 1000, 3313, 6, 1562, 3313, 6, 1562, 2750, 6, 1000, 2750, 0, 
	1, -24416, -24576, 4, 6, 1562, 3313, 6, 9437, 3313, 6, 9437, 2750, 6, 1562, 2750, 0, 
	1, 24672, 24576, 4, 6, 9437, 3313, 6, 10000, 3313, 6, 10000, 2750, 6, 9437, 2750, 0, 
	1, -12080, -12288, 4, 6, 1000, 2750, 6, 1562, 2750, 6, 1562, 2188, 6, 1000, 2188, 0, 
	1, -24416, -24576, 4, 6, 1562, 2750, 6, 9437, 2750, 6, 9437, 2188, 6, 1562, 2188, 0, 
	1, 24672, 24576, 4, 6, 9437, 2750, 6, 10000, 2750, 6, 10000, 2188, 6, 9437, 2188, 0, 
	1, -12080, -12288, 4, 6, 1000, 2188, 6, 1562, 2188, 6, 1562, 1625, 6, 1000, 1625, 0, 
	1, 24672, 24576, 4, 6, 1562, 2188, 6, 10000, 2188, 6, 10000, 1625, 6, 1562, 1625, 0
  };
static short folder_file_icon[] = { 
	1, 12916, -9472, 4, 6, 2125, 9500, 6, 2687, 9500, 6, 2687, 8938, 6, 2125, 8938, 0, 
	1, 12915, -9472, 4, 6, 2687, 9500, 6, 3250, 9500, 6, 3250, 8938, 6, 2687, 8938, 0, 
	1, 13171, -9472, 4, 6, 3250, 9500, 6, 3812, 9500, 6, 3812, 8938, 6, 3250, 8938, 0, 
	1, 12916, -9216, 4, 6, 3812, 9500, 6, 4375, 9500, 6, 4375, 8938, 6, 3812, 8938, 0, 
	1, 12916, -9472, 4, 6, 4375, 9500, 6, 5500, 9500, 6, 5500, 8938, 6, 4375, 8938, 0, 
	1, 12656, -10752, 4, 6, 1562, 8938, 6, 2125, 8938, 6, 2125, 8375, 6, 1562, 8375, 0, 
	1, -2565, -768, 4, 6, 2125, 8938, 6, 2687, 8938, 6, 2687, 8375, 6, 2125, 8375, 0, 
	1, -2567, -768, 4, 6, 2687, 8938, 6, 3250, 8938, 6, 3250, 8375, 6, 2687, 8375, 0, 
	1, -2565, -768, 4, 6, 3250, 8938, 6, 3812, 8938, 6, 3812, 8375, 6, 3250, 8375, 0, 
	1, -2567, -768, 4, 6, 3812, 8938, 6, 5500, 8938, 6, 5500, 8375, 6, 3812, 8375, 0, 
	1, 12656, -10752, 4, 6, 5500, 8938, 6, 6062, 8938, 6, 6062, 8375, 6, 5500, 8375, 0, 
	1, 12397, -11776, 4, 6, 1000, 8375, 6, 1562, 8375, 6, 1562, 7813, 6, 1000, 7813, 0, 
	1, -5899, -768, 4, 6, 1562, 8375, 6, 3250, 8375, 6, 3250, 7813, 6, 1562, 7813, 0, 
	1, -5898, -768, 4, 6, 3250, 8375, 6, 3812, 8375, 6, 3812, 7813, 6, 3250, 7813, 0, 
	1, -5899, -768, 4, 6, 3812, 8375, 6, 4375, 8375, 6, 4375, 7813, 6, 3812, 7813, 0, 
	1, -5643, -768, 4, 6, 4375, 8375, 6, 4937, 8375, 6, 4937, 7813, 6, 4375, 7813, 0, 
	1, -5899, -768, 4, 6, 4937, 8375, 6, 5500, 8375, 6, 5500, 7813, 6, 4937, 7813, 0, 
	1, 24445, -20224, 4, 6, 5500, 8375, 6, 6062, 8375, 6, 6062, 7813, 6, 5500, 7813, 0, 
	1, 12653, -12032, 4, 6, 6062, 8375, 6, 6625, 8375, 6, 6625, 7813, 6, 6062, 7813, 0, 
	1, 12398, -12032, 4, 6, 6625, 8375, 6, 7187, 8375, 6, 7187, 7813, 6, 6625, 7813, 0, 
	1, 12654, -11776, 4, 6, 7187, 8375, 6, 7750, 8375, 6, 7750, 7813, 6, 7187, 7813, 0, 
	1, 12398, -12032, 4, 6, 7750, 8375, 6, 8312, 8375, 6, 8312, 7813, 6, 7750, 7813, 0, 
	1, 12397, -12032, 4, 6, 8312, 8375, 6, 8875, 8375, 6, 8875, 7813, 6, 8312, 7813, 0, 
	1, 12653, -12032, 4, 6, 8875, 8375, 6, 9437, 8375, 6, 9437, 7813, 6, 8875, 7813, 0, 
	1, 12394, -13312, 4, 6, 1000, 7813, 6, 1562, 7813, 6, 1562, 7250, 6, 1000, 7250, 0, 
	1, -9232, -768, 4, 6, 1562, 7813, 6, 4375, 7813, 6, 4375, 7250, 6, 1562, 7250, 0, 
	1, -9490, -768, 4, 6, 4375, 7813, 6, 4937, 7813, 6, 4937, 7250, 6, 4375, 7250, 0, 
	1, -9232, -768, 4, 6, 4937, 7813, 6, 5500, 7813, 6, 5500, 7250, 6, 4937, 7250, 0, 
	1, -9234, -768, 4, 6, 5500, 7813, 6, 6625, 7813, 6, 6625, 7250, 6, 5500, 7250, 0, 
	1, -9490, -768, 4, 6, 6625, 7813, 6, 7187, 7813, 6, 7187, 7250, 6, 6625, 7250, 0, 
	1, -9232, -768, 4, 6, 7187, 7813, 6, 7750, 7813, 6, 7750, 7250, 6, 7187, 7250, 0, 
	1, -9234, -768, 4, 6, 7750, 7813, 6, 8312, 7813, 6, 8312, 7250, 6, 7750, 7250, 0, 
	1, -9232, -768, 4, 6, 8312, 7813, 6, 8875, 7813, 6, 8875, 7250, 6, 8312, 7250, 0, 
	1, -9488, -768, 4, 6, 8875, 7813, 6, 9437, 7813, 6, 9437, 7250, 6, 8875, 7250, 0, 
	1, 12394, -13312, 4, 6, 9437, 7813, 6, 10000, 7813, 6, 10000, 7250, 6, 9437, 7250, 0, 
	1, 12134, -14848, 4, 6, 1000, 7250, 6, 1562, 7250, 6, 1562, 6688, 6, 1000, 6688, 0, 
	1, -13336, -768, 4, 6, 1562, 7250, 6, 5500, 7250, 6, 5500, 6688, 6, 1562, 6688, 0, 
	1, -13335, -768, 4, 6, 5500, 7250, 6, 6062, 7250, 6, 6062, 6688, 6, 5500, 6688, 0, 
	1, 9567, -12032, 4, 6, 6062, 7250, 6, 10000, 7250, 6, 10000, 6688, 6, 6062, 6688, 0, 
	1, 11875, -16384, 4, 6, 1000, 6688, 6, 1562, 6688, 6, 1562, 6125, 6, 1000, 6125, 0, 
	1, -17950, -768, 4, 6, 1562, 6688, 6, 2687, 6688, 6, 2687, 6125, 6, 1562, 6125, 0, 
	1, -17182, -768, 4, 6, 2687, 6688, 6, 3250, 6688, 6, 3250, 6125, 6, 2687, 6125, 0, 
	1, -17950, -768, 4, 6, 3250, 6688, 6, 3812, 6688, 6, 3812, 6125, 6, 3250, 6125, 0, 
	1, -17182, -768, 4, 6, 3812, 6688, 6, 4375, 6688, 6, 4375, 6125, 6, 3812, 6125, 0, 
	1, -17951, -768, 4, 6, 4375, 6688, 6, 4937, 6688, 6, 4937, 6125, 6, 4375, 6125, 0, 
	1, -17183, -768, 4, 6, 4937, 6688, 6, 5500, 6688, 6, 5500, 6125, 6, 4937, 6125, 0, 
	1, 9567, -12032, 4, 6, 5500, 6688, 6, 6062, 6688, 6, 6062, 6125, 6, 5500, 6125, 0, 
	1, -24890, -4608, 4, 6, 6062, 6688, 6, 6625, 6688, 6, 6625, 6125, 6, 6062, 6125, 0, 
	1, -772, -768, 4, 6, 6625, 6688, 6, 8875, 6688, 6, 8875, 6125, 6, 6625, 6125, 0, 
	1, -21295, -768, 4, 6, 8875, 6688, 6, 9437, 6688, 6, 9437, 6125, 6, 8875, 6125, 0, 
	1, 9567, -12032, 4, 6, 9437, 6688, 6, 10000, 6688, 6, 10000, 6125, 6, 9437, 6125, 0, 
	1, 11617, -17152, 4, 6, 1000, 6125, 6, 1562, 6125, 6, 1562, 5563, 6, 1000, 5563, 0, 
	1, -22054, -768, 4, 6, 1562, 6125, 6, 2125, 6125, 6, 2125, 5563, 6, 1562, 5563, 0, 
	1, -22053, -768, 4, 6, 2125, 6125, 6, 2687, 6125, 6, 2687, 5563, 6, 2125, 5563, 0, 
	1, 9567, -12032, 4, 6, 2687, 6125, 6, 5500, 6125, 6, 5500, 5563, 6, 2687, 5563, 0, 
	1, -31047, -5120, 4, 6, 5500, 6125, 6, 6062, 6125, 6, 6062, 5563, 6, 5500, 5563, 0, 
	1, -772, -768, 4, 6, 6062, 6125, 6, 6625, 6125, 6, 6625, 5563, 6, 6062, 5563, 0, 
	1, -29507, -768, 4, 6, 6625, 6125, 6, 7187, 6125, 6, 7187, 5563, 6, 6625, 5563, 0, 
	1, -30274, -768, 4, 6, 7187, 6125, 6, 8312, 6125, 6, 8312, 5563, 6, 7187, 5563, 0, 
	1, -30275, -768, 4, 6, 8312, 6125, 6, 9437, 6125, 6, 9437, 5563, 6, 8312, 5563, 0, 
	1, 9567, -12032, 4, 6, 9437, 6125, 6, 10000, 6125, 6, 10000, 5563, 6, 9437, 5563, 0, 
	1, 11358, -18432, 4, 6, 1000, 5563, 6, 1562, 5563, 6, 1562, 5000, 6, 1000, 5000, 0, 
	1, -26157, -768, 4, 6, 1562, 5563, 6, 2125, 5563, 6, 2125, 5000, 6, 1562, 5000, 0, 
	1, 8793, -13568, 4, 6, 2125, 5563, 6, 2687, 5563, 6, 2687, 5000, 6, 2125, 5000, 0, 
	1, 27562, -768, 4, 6, 2687, 5563, 6, 3250, 5563, 6, 3250, 5000, 6, 2687, 5000, 0, 
	1, -772, -768, 4, 6, 3250, 5563, 6, 6062, 5563, 6, 6062, 5000, 6, 3250, 5000, 0, 
	1, 27561, -768, 4, 6, 6062, 5563, 6, 6625, 5563, 6, 6625, 5000, 6, 6062, 5000, 0, 
	1, 27562, -768, 4, 6, 6625, 5563, 6, 7187, 5563, 6, 7187, 5000, 6, 6625, 5000, 0, 
	1, 27561, -768, 4, 6, 7187, 5563, 6, 9437, 5563, 6, 9437, 5000, 6, 7187, 5000, 0, 
	1, 8793, -13312, 4, 6, 9437, 5563, 6, 10000, 5563, 6, 10000, 5000, 6, 9437, 5000, 0, 
	1, 11098, -20224, 4, 6, 1000, 5000, 6, 1562, 5000, 6, 1562, 4438, 6, 1000, 4438, 0, 
	1, -30517, -768, 4, 6, 1562, 5000, 6, 2125, 5000, 6, 2125, 4438, 6, 1562, 4438, 0, 
	1, 8018, -15104, 4, 6, 2125, 5000, 6, 2687, 5000, 6, 2687, 4438, 6, 2125, 4438, 0, 
	1, 20632, -768, 4, 6, 2687, 5000, 6, 3250, 5000, 6, 3250, 4438, 6, 2687, 4438, 0, 
	1, 20376, -768, 4, 6, 3250, 5000, 6, 4375, 5000, 6, 4375, 4438, 6, 3250, 4438, 0, 
	1, 20375, -768, 4, 6, 4375, 5000, 6, 4937, 5000, 6, 4937, 4438, 6, 4375, 4438, 0, 
	1, 20632, -768, 4, 6, 4937, 5000, 6, 5500, 5000, 6, 5500, 4438, 6, 4937, 4438, 0, 
	1, 20376, -768, 4, 6, 5500, 5000, 6, 7750, 5000, 6, 7750, 4438, 6, 5500, 4438, 0, 
	1, 20632, -768, 4, 6, 7750, 5000, 6, 8312, 5000, 6, 8312, 4438, 6, 7750, 4438, 0, 
	1, 20376, -768, 4, 6, 8312, 5000, 6, 8875, 5000, 6, 8875, 4438, 6, 8312, 4438, 0, 
	1, 20375, -768, 4, 6, 8875, 5000, 6, 9437, 5000, 6, 9437, 4438, 6, 8875, 4438, 0, 
	1, 7762, -15104, 4, 6, 9437, 5000, 6, 10000, 5000, 6, 10000, 4438, 6, 9437, 4438, 0, 
	1, 10840, -20992, 4, 6, 1000, 4438, 6, 1562, 4438, 6, 1562, 3875, 6, 1000, 3875, 0, 
	1, 31428, -768, 4, 6, 1562, 4438, 6, 2125, 4438, 6, 2125, 3875, 6, 1562, 3875, 0, 
	1, 7241, -17152, 4, 6, 2125, 4438, 6, 2687, 4438, 6, 2687, 3875, 6, 2125, 3875, 0, 
	1, 14727, -768, 4, 6, 2687, 4438, 6, 3250, 4438, 6, 3250, 3875, 6, 2687, 3875, 0, 
	1, 14728, -768, 4, 6, 3250, 4438, 6, 4375, 4438, 6, 4375, 3875, 6, 3250, 3875, 0, 
	1, 14727, -768, 4, 6, 4375, 4438, 6, 4937, 4438, 6, 4937, 3875, 6, 4375, 3875, 0, 
	1, 14728, -768, 4, 6, 4937, 4438, 6, 5500, 4438, 6, 5500, 3875, 6, 4937, 3875, 0, 
	1, 14727, -768, 4, 6, 5500, 4438, 6, 6625, 4438, 6, 6625, 3875, 6, 5500, 3875, 0, 
	1, 14728, -768, 4, 6, 6625, 4438, 6, 8312, 4438, 6, 8312, 3875, 6, 6625, 3875, 0, 
	1, 14727, -768, 4, 6, 8312, 4438, 6, 8875, 4438, 6, 8875, 3875, 6, 8312, 3875, 0, 
	1, 14728, -768, 4, 6, 8875, 4438, 6, 9437, 4438, 6, 9437, 3875, 6, 8875, 3875, 0, 
	1, 6985, -17152, 4, 6, 9437, 4438, 6, 10000, 4438, 6, 10000, 3875, 6, 9437, 3875, 0, 
	1, 10581, -22528, 4, 6, 1000, 3875, 6, 1562, 3875, 6, 1562, 3313, 6, 1000, 3313, 0, 
	1, 28094, -768, 4, 6, 1562, 3875, 6, 2125, 3875, 6, 2125, 3313, 6, 1562, 3313, 0, 
	1, 6208, -19200, 4, 6, 2125, 3875, 6, 2687, 3875, 6, 2687, 3313, 6, 2125, 3313, 0, 
	1, 10364, -768, 4, 6, 2687, 3875, 6, 3812, 3875, 6, 3812, 3313, 6, 2687, 3313, 0, 
	1, 10363, -768, 4, 6, 3812, 3875, 6, 4375, 3875, 6, 4375, 3313, 6, 3812, 3313, 0, 
	1, 10364, -768, 4, 6, 4375, 3875, 6, 4937, 3875, 6, 4937, 3313, 6, 4375, 3313, 0, 
	1, 10363, -768, 4, 6, 4937, 3875, 6, 6625, 3875, 6, 6625, 3313, 6, 4937, 3313, 0, 
	1, 10107, -768, 4, 6, 6625, 3875, 6, 7187, 3875, 6, 7187, 3313, 6, 6625, 3313, 0, 
	1, 10363, -768, 4, 6, 7187, 3875, 6, 7750, 3875, 6, 7750, 3313, 6, 7187, 3313, 0, 
	1, 10107, -768, 4, 6, 7750, 3875, 6, 8312, 3875, 6, 8312, 3313, 6, 7750, 3313, 0, 
	1, 10363, -768, 4, 6, 8312, 3875, 6, 9437, 3875, 6, 9437, 3313, 6, 8312, 3313, 0, 
	1, 6207, -19200, 4, 6, 9437, 3875, 6, 10000, 3875, 6, 10000, 3313, 6, 9437, 3313, 0, 
	1, 10322, -23808, 4, 6, 1000, 3313, 6, 1562, 3313, 6, 1562, 2750, 6, 1000, 2750, 0, 
	1, 25271, -768, 4, 6, 1562, 3313, 6, 2125, 3313, 6, 2125, 2750, 6, 1562, 2750, 0, 
	1, 4919, -22016, 4, 6, 2125, 3313, 6, 2687, 3313, 6, 2687, 2750, 6, 2125, 2750, 0, 
	1, -515, -768, 4, 6, 2687, 3313, 6, 8875, 3313, 6, 8875, 2750, 6, 2687, 2750, 0, 
	1, -20818, -14848, 4, 6, 8875, 3313, 6, 9437, 3313, 6, 9437, 2750, 6, 8875, 2750, 0, 
	1, 4919, -21504, 4, 6, 9437, 3313, 6, 10000, 3313, 6, 10000, 2750, 6, 9437, 2750, 0, 
	1, 10320, -24832, 4, 6, 1000, 2750, 6, 1562, 2750, 6, 1562, 2188, 6, 1000, 2188, 0, 
	1, 25271, -768, 4, 6, 1562, 2750, 6, 2125, 2750, 6, 2125, 2188, 6, 1562, 2188, 0, 
	1, 4141, -24064, 4, 6, 2125, 2750, 6, 2687, 2750, 6, 2687, 2188, 6, 2125, 2188, 0, 
	1, -515, -768, 4, 6, 2687, 2750, 6, 8875, 2750, 6, 8875, 2188, 6, 2687, 2188, 0, 
	1, -20818, -14848, 4, 6, 8875, 2750, 6, 9437, 2750, 6, 9437, 2188, 6, 8875, 2188, 0, 
	1, 4141, -24064, 4, 6, 9437, 2750, 6, 10000, 2750, 6, 10000, 2188, 6, 9437, 2188, 0, 
	1, 10061, -25856, 4, 6, 1000, 2188, 6, 1562, 2188, 6, 1562, 1625, 6, 1000, 1625, 0, 
	1, 20398, -768, 4, 6, 1562, 2188, 6, 2125, 2188, 6, 2125, 1625, 6, 1562, 1625, 0, 
	1, 2853, -26368, 4, 6, 2125, 2188, 6, 2687, 2188, 6, 2687, 1625, 6, 2125, 1625, 0, 
	1, -20818, -14848, 4, 6, 2687, 2188, 6, 9437, 2188, 6, 9437, 1625, 6, 2687, 1625, 0, 
	1, 3109, -26368, 4, 6, 9437, 2188, 6, 10000, 2188, 6, 10000, 1625, 6, 9437, 1625, 0, 
	1, 10059, -26880, 4, 6, 1562, 1625, 6, 2125, 1625, 6, 2125, 1063, 6, 1562, 1063, 0, 
	1, 2333, -28416, 4, 6, 2125, 1625, 6, 3812, 1625, 6, 3812, 1063, 6, 2125, 1063, 0, 
	1, 2334, -28416, 4, 6, 3812, 1625, 6, 4375, 1625, 6, 4375, 1063, 6, 3812, 1063, 0, 
	1, 2334, -28672, 4, 6, 4375, 1625, 6, 4937, 1625, 6, 4937, 1063, 6, 4375, 1063, 0, 
	1, 2334, -28416, 4, 6, 4937, 1625, 6, 5500, 1625, 6, 5500, 1063, 6, 4937, 1063, 0, 
	1, 2334, -28672, 4, 6, 5500, 1625, 6, 6062, 1625, 6, 6062, 1063, 6, 5500, 1063, 0, 
	1, 2333, -28416, 4, 6, 6062, 1625, 6, 6625, 1625, 6, 6625, 1063, 6, 6062, 1063, 0, 
	1, 2334, -28672, 4, 6, 6625, 1625, 6, 7750, 1625, 6, 7750, 1063, 6, 6625, 1063, 0, 
	1, 2334, -28416, 4, 6, 7750, 1625, 6, 8875, 1625, 6, 8875, 1063, 6, 7750, 1063, 0, 
	1, 2333, -28416, 4, 6, 8875, 1625, 6, 9437, 1625, 6, 9437, 1063, 6, 8875, 1063, 0
  };
static short unknown_file_icon[] = { 
	1, -22360, -22528, 4, 6, 1000, 9500, 6, 10000, 9500, 6, 10000, 8938, 6, 1000, 8938, 0, 
	1, -22360, -22528, 4, 6, 1000, 8938, 6, 1562, 8938, 6, 1562, 8375, 6, 1000, 8375, 0, 
	1, -19509, -256, 4, 6, 1562, 8938, 6, 2125, 8938, 6, 2125, 8375, 6, 1562, 8375, 0, 
	1, -23876, -256, 4, 6, 2125, 8938, 6, 2687, 8938, 6, 2687, 8375, 6, 2125, 8375, 0, 
	1, -26187, -256, 4, 6, 2687, 8938, 6, 3250, 8938, 6, 3250, 8375, 6, 2687, 8375, 0, 
	1, -28497, -256, 4, 6, 3250, 8938, 6, 3812, 8938, 6, 3812, 8375, 6, 3250, 8375, 0, 
	1, -30808, -256, 4, 6, 3812, 8938, 6, 4375, 8938, 6, 4375, 8375, 6, 3812, 8375, 0, 
	1, 32417, -256, 4, 6, 4375, 8938, 6, 4937, 8938, 6, 4937, 8375, 6, 4375, 8375, 0, 
	1, 29850, -256, 4, 6, 4937, 8938, 6, 5500, 8938, 6, 5500, 8375, 6, 4937, 8375, 0, 
	1, 27539, -256, 4, 6, 5500, 8938, 6, 6062, 8938, 6, 6062, 8375, 6, 5500, 8375, 0, 
	1, 25741, -256, 4, 6, 6062, 8938, 6, 8312, 8938, 6, 8312, 8375, 6, 6062, 8375, 0, 
	1, 25228, -256, 4, 6, 8312, 8938, 6, 8875, 8938, 6, 8875, 8375, 6, 8312, 8375, 0, 
	1, 31137, -256, 4, 6, 8875, 8938, 6, 9437, 8938, 6, 9437, 8375, 6, 8875, 8375, 0, 
	1, -22360, -22528, 4, 6, 9437, 8938, 6, 10000, 8938, 6, 10000, 8375, 6, 9437, 8375, 0, 
	1, -22360, -22528, 4, 6, 1000, 8375, 6, 1562, 8375, 6, 1562, 7813, 6, 1000, 7813, 0, 
	1, -3337, -256, 4, 6, 1562, 8375, 6, 2125, 8375, 6, 2125, 7813, 6, 1562, 7813, 0, 
	1, -6419, -256, 4, 6, 2125, 8375, 6, 2687, 8375, 6, 2687, 7813, 6, 2125, 7813, 0, 
	1, -6676, -256, 4, 6, 2687, 8375, 6, 3250, 8375, 6, 3250, 7813, 6, 2687, 7813, 0, 
	1, -7446, -256, 4, 6, 3250, 8375, 6, 3812, 8375, 6, 3812, 7813, 6, 3250, 7813, 0, 
	1, -8216, -256, 4, 6, 3812, 8375, 6, 4375, 8375, 6, 4375, 7813, 6, 3812, 7813, 0, 
	1, -8987, -512, 4, 6, 4375, 8375, 6, 4937, 8375, 6, 4937, 7813, 6, 4375, 7813, 0, 
	1, -10014, -768, 4, 6, 4937, 8375, 6, 5500, 8375, 6, 5500, 7813, 6, 4937, 7813, 0, 
	1, -11042, -1280, 4, 6, 5500, 8375, 6, 6062, 8375, 6, 6062, 7813, 6, 5500, 7813, 0, 
	1, -11556, -1536, 4, 6, 6062, 8375, 6, 6625, 8375, 6, 6625, 7813, 6, 6062, 7813, 0, 
	1, -12070, -1792, 4, 6, 6625, 8375, 6, 7187, 8375, 6, 7187, 7813, 6, 6625, 7813, 0, 
	1, -12327, -2304, 4, 6, 7187, 8375, 6, 7750, 8375, 6, 7750, 7813, 6, 7187, 7813, 0, 
	1, -12584, -2560, 4, 6, 7750, 8375, 6, 8312, 8375, 6, 8312, 7813, 6, 7750, 7813, 0, 
	1, -13097, -2816, 4, 6, 8312, 8375, 6, 8875, 8375, 6, 8875, 7813, 6, 8312, 7813, 0, 
	1, -9757, -256, 4, 6, 8875, 8375, 6, 9437, 8375, 6, 9437, 7813, 6, 8875, 7813, 0, 
	1, -22360, -22528, 4, 6, 9437, 8375, 6, 10000, 8375, 6, 10000, 7813, 6, 9437, 7813, 0, 
	1, -22360, -22528, 4, 6, 1000, 7813, 6, 1562, 7813, 6, 1562, 7250, 6, 1000, 7250, 0, 
	1, -1, -256, 4, 6, 1562, 7813, 6, 4375, 7813, 6, 4375, 7250, 6, 1562, 7250, 0, 
	1, -1, -768, 4, 6, 4375, 7813, 6, 4937, 7813, 6, 4937, 7250, 6, 4375, 7250, 0, 
	1, -2, -1280, 4, 6, 4937, 7813, 6, 5500, 7813, 6, 5500, 7250, 6, 4937, 7250, 0, 
	1, -3, -1792, 4, 6, 5500, 7813, 6, 6062, 7813, 6, 6062, 7250, 6, 5500, 7250, 0, 
	1, -516, -2560, 4, 6, 6062, 7813, 6, 6625, 7813, 6, 6625, 7250, 6, 6062, 7250, 0, 
	1, -774, -2816, 4, 6, 6625, 7813, 6, 7187, 7813, 6, 7187, 7250, 6, 6625, 7250, 0, 
	1, -1289, -3328, 4, 6, 7187, 7813, 6, 7750, 7813, 6, 7750, 7250, 6, 7187, 7250, 0, 
	1, -1802, -3584, 4, 6, 7750, 7813, 6, 8312, 7813, 6, 8312, 7250, 6, 7750, 7250, 0, 
	1, -2315, -4096, 4, 6, 8312, 7813, 6, 8875, 7813, 6, 8875, 7250, 6, 8312, 7250, 0, 
	1, -773, -2560, 4, 6, 8875, 7813, 6, 9437, 7813, 6, 9437, 7250, 6, 8875, 7250, 0, 
	1, -22360, -22528, 4, 6, 9437, 7813, 6, 10000, 7813, 6, 10000, 7250, 6, 9437, 7250, 0, 
	1, -22360, -22528, 4, 6, 1000, 7250, 6, 1562, 7250, 6, 1562, 6688, 6, 1000, 6688, 0, 
	1, -1, -256, 4, 6, 1562, 7250, 6, 9437, 7250, 6, 9437, 6688, 6, 1562, 6688, 0, 
	1, -22360, -22528, 4, 6, 9437, 7250, 6, 10000, 7250, 6, 10000, 6688, 6, 9437, 6688, 0, 
	1, -22360, -22528, 4, 6, 1000, 6688, 6, 1562, 6688, 6, 1562, 6125, 6, 1000, 6125, 0, 
	1, -1, -256, 4, 6, 1562, 6688, 6, 9437, 6688, 6, 9437, 6125, 6, 1562, 6125, 0, 
	1, -22360, -22528, 4, 6, 9437, 6688, 6, 10000, 6688, 6, 10000, 6125, 6, 9437, 6125, 0, 
	1, -22360, -22528, 4, 6, 1000, 6125, 6, 1562, 6125, 6, 1562, 5563, 6, 1000, 5563, 0, 
	1, -1, -256, 4, 6, 1562, 6125, 6, 9437, 6125, 6, 9437, 5563, 6, 1562, 5563, 0, 
	1, -22360, -22528, 4, 6, 9437, 6125, 6, 10000, 6125, 6, 10000, 5563, 6, 9437, 5563, 0, 
	1, -22360, -22528, 4, 6, 1000, 5563, 6, 1562, 5563, 6, 1562, 5000, 6, 1000, 5000, 0, 
	1, -1, -256, 4, 6, 1562, 5563, 6, 9437, 5563, 6, 9437, 5000, 6, 1562, 5000, 0, 
	1, -22360, -22528, 4, 6, 9437, 5563, 6, 10000, 5563, 6, 10000, 5000, 6, 9437, 5000, 0, 
	1, -22360, -22528, 4, 6, 1000, 5000, 6, 1562, 5000, 6, 1562, 4438, 6, 1000, 4438, 0, 
	1, -1, -256, 4, 6, 1562, 5000, 6, 9437, 5000, 6, 9437, 4438, 6, 1562, 4438, 0, 
	1, -22360, -22528, 4, 6, 9437, 5000, 6, 10000, 5000, 6, 10000, 4438, 6, 9437, 4438, 0, 
	1, -22360, -22528, 4, 6, 1000, 4438, 6, 1562, 4438, 6, 1562, 3875, 6, 1000, 3875, 0, 
	1, -1, -256, 4, 6, 1562, 4438, 6, 9437, 4438, 6, 9437, 3875, 6, 1562, 3875, 0, 
	1, -22360, -22528, 4, 6, 9437, 4438, 6, 10000, 4438, 6, 10000, 3875, 6, 9437, 3875, 0, 
	1, -22360, -22528, 4, 6, 1000, 3875, 6, 1562, 3875, 6, 1562, 3313, 6, 1000, 3313, 0, 
	1, -1, -256, 4, 6, 1562, 3875, 6, 9437, 3875, 6, 9437, 3313, 6, 1562, 3313, 0, 
	1, -22360, -22528, 4, 6, 9437, 3875, 6, 10000, 3875, 6, 10000, 3313, 6, 9437, 3313, 0, 
	1, -22360, -22528, 4, 6, 1000, 3313, 6, 1562, 3313, 6, 1562, 2750, 6, 1000, 2750, 0, 
	1, -1, -256, 4, 6, 1562, 3313, 6, 7187, 3313, 6, 7187, 2750, 6, 1562, 2750, 0, 
	1, -22360, -22528, 4, 6, 7187, 3313, 6, 10000, 3313, 6, 10000, 2750, 6, 7187, 2750, 0, 
	1, -22360, -22528, 4, 6, 1000, 2750, 6, 1562, 2750, 6, 1562, 2188, 6, 1000, 2188, 0, 
	1, -1, -256, 4, 6, 1562, 2750, 6, 7187, 2750, 6, 7187, 2188, 6, 1562, 2188, 0, 
	1, -22360, -22528, 4, 6, 7187, 2750, 6, 7750, 2750, 6, 7750, 2188, 6, 7187, 2188, 0, 
	1, -1, -256, 4, 6, 7750, 2750, 6, 9437, 2750, 6, 9437, 2188, 6, 7750, 2188, 0, 
	1, -22360, -22528, 4, 6, 1000, 2188, 6, 1562, 2188, 6, 1562, 1625, 6, 1000, 1625, 0, 
	1, -1, -256, 4, 6, 1562, 2188, 6, 7187, 2188, 6, 7187, 1625, 6, 1562, 1625, 0, 
	1, -22360, -22528, 4, 6, 7187, 2188, 6, 7750, 2188, 6, 7750, 1625, 6, 7187, 1625, 0, 
	1, -1, -256, 4, 6, 7750, 2188, 6, 8875, 2188, 6, 8875, 1625, 6, 7750, 1625, 0, 
	1, -22360, -22528, 4, 6, 1000, 1625, 6, 1562, 1625, 6, 1562, 1063, 6, 1000, 1063, 0, 
	1, -1, -256, 4, 6, 1562, 1625, 6, 7187, 1625, 6, 7187, 1063, 6, 1562, 1063, 0, 
	1, -22360, -22528, 4, 6, 7187, 1625, 6, 7750, 1625, 6, 7750, 1063, 6, 7187, 1063, 0, 
	1, -1, -256, 4, 6, 7750, 1625, 6, 8312, 1625, 6, 8312, 1063, 6, 7750, 1063, 0, 
	1, -22360, -22528, 4, 6, 1000, 1063, 6, 7750, 1063, 6, 7750, 500, 6, 1000, 500, 0
  };

